﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace RSTextMonitor
{
    class TextReader
    {
        Character[] Characters = new Character[123];

        public TextReader()
        {
            InitCharacterArray(Characters);
            Characters[99].NotPoints.Add(new Point(4, -1));
            Characters[67].NotPoints.Add(new Point(5, -2));
        }

        public string ReadText(int X, int Y, int Length, Bitmap bmp, Color color, bool ReadSpaces = true, int iStart = 48, int iEnd = 123)
        {
            string Ret = "";
            int StartX = X;
            for (int x = X; x < X + Length; x++)
            {
                for (int i = iStart; i < iEnd; i++)
                {
                    if (Characters[i] != null && 
                        (Characters[i].IsMatch(bmp, color, x, Y) || 
                        Characters[i].IsMatch(bmp, Color.FromArgb(127, 0, 0), x, Y)))
                    {
                        Ret += (char)i;
                        x += Characters[i].Increment;
                        StartX = x;
                        break;
                    }
                }

                if (x - StartX == 4)
                {
                    if (ReadSpaces && (Ret.Length == 0 || Ret[Ret.Length - 1] != ' '))
                        Ret += ' ';
                    StartX = x;
                }
            }
            return Ret;
        }

        static void InitCharacterArray(Character[] Characters)
        {
            Characters[48] = new Character();
            Characters[48].Increment = 6;
            Characters[48].NotPoints.Add(new Point(0, -9));
            Characters[48].NotPoints.Add(new Point(0, -8));
            Characters[48].Points.Add(new Point(0, -7));
            Characters[48].Points.Add(new Point(0, -6));
            Characters[48].Points.Add(new Point(0, -5));
            Characters[48].Points.Add(new Point(0, -4));
            Characters[48].Points.Add(new Point(0, -3));
            Characters[48].Points.Add(new Point(0, -2));
            Characters[48].NotPoints.Add(new Point(0, -1));
            Characters[48].NotPoints.Add(new Point(0, 0));
            Characters[48].NotPoints.Add(new Point(1, -9));
            Characters[48].Points.Add(new Point(1, -8));
            Characters[48].NotPoints.Add(new Point(1, -7));
            Characters[48].NotPoints.Add(new Point(1, -6));
            Characters[48].NotPoints.Add(new Point(1, -5));
            Characters[48].NotPoints.Add(new Point(1, -4));
            Characters[48].NotPoints.Add(new Point(1, -3));
            Characters[48].NotPoints.Add(new Point(1, -2));
            Characters[48].Points.Add(new Point(1, -1));
            Characters[48].NotPoints.Add(new Point(1, 0));
            Characters[48].Points.Add(new Point(2, -9));
            Characters[48].NotPoints.Add(new Point(2, -8));
            Characters[48].NotPoints.Add(new Point(2, -7));
            Characters[48].NotPoints.Add(new Point(2, -6));
            Characters[48].NotPoints.Add(new Point(2, -5));
            Characters[48].Points.Add(new Point(2, -4));
            Characters[48].Points.Add(new Point(2, -3));
            Characters[48].Points.Add(new Point(2, -2));
            Characters[48].NotPoints.Add(new Point(2, -1));
            Characters[48].Points.Add(new Point(2, 0));
            Characters[48].Points.Add(new Point(3, -9));
            Characters[48].NotPoints.Add(new Point(3, -8));
            Characters[48].Points.Add(new Point(3, -7));
            Characters[48].Points.Add(new Point(3, -6));
            Characters[48].Points.Add(new Point(3, -5));
            Characters[48].NotPoints.Add(new Point(3, -4));
            Characters[48].NotPoints.Add(new Point(3, -3));
            Characters[48].NotPoints.Add(new Point(3, -2));
            Characters[48].NotPoints.Add(new Point(3, -1));
            Characters[48].Points.Add(new Point(3, 0));
            Characters[48].NotPoints.Add(new Point(4, -9));
            Characters[48].Points.Add(new Point(4, -8));
            Characters[48].NotPoints.Add(new Point(4, -7));
            Characters[48].NotPoints.Add(new Point(4, -6));
            Characters[48].NotPoints.Add(new Point(4, -5));
            Characters[48].NotPoints.Add(new Point(4, -4));
            Characters[48].NotPoints.Add(new Point(4, -3));
            Characters[48].NotPoints.Add(new Point(4, -2));
            Characters[48].Points.Add(new Point(4, -1));
            Characters[48].NotPoints.Add(new Point(4, 0));
            Characters[48].NotPoints.Add(new Point(5, -9));
            Characters[48].NotPoints.Add(new Point(5, -8));
            Characters[48].Points.Add(new Point(5, -7));
            Characters[48].Points.Add(new Point(5, -6));
            Characters[48].Points.Add(new Point(5, -5));
            Characters[48].Points.Add(new Point(5, -4));
            Characters[48].Points.Add(new Point(5, -3));
            Characters[48].Points.Add(new Point(5, -2));
            Characters[48].NotPoints.Add(new Point(5, -1));
            Characters[48].NotPoints.Add(new Point(5, 0));

            Characters[49] = new Character();
            Characters[49].Increment = 5;
            Characters[49].NotPoints.Add(new Point(0, -9));
            Characters[49].NotPoints.Add(new Point(0, -8));
            Characters[49].Points.Add(new Point(0, -7));
            Characters[49].NotPoints.Add(new Point(0, -6));
            Characters[49].NotPoints.Add(new Point(0, -5));
            Characters[49].NotPoints.Add(new Point(0, -4));
            Characters[49].NotPoints.Add(new Point(0, -3));
            Characters[49].NotPoints.Add(new Point(0, -2));
            Characters[49].NotPoints.Add(new Point(0, -1));
            Characters[49].Points.Add(new Point(0, 0));
            Characters[49].NotPoints.Add(new Point(1, -9));
            Characters[49].Points.Add(new Point(1, -8));
            Characters[49].NotPoints.Add(new Point(1, -7));
            Characters[49].NotPoints.Add(new Point(1, -6));
            Characters[49].NotPoints.Add(new Point(1, -5));
            Characters[49].NotPoints.Add(new Point(1, -4));
            Characters[49].NotPoints.Add(new Point(1, -3));
            Characters[49].NotPoints.Add(new Point(1, -2));
            Characters[49].NotPoints.Add(new Point(1, -1));
            Characters[49].Points.Add(new Point(1, 0));
            Characters[49].Points.Add(new Point(2, -9));
            Characters[49].Points.Add(new Point(2, -8));
            Characters[49].Points.Add(new Point(2, -7));
            Characters[49].Points.Add(new Point(2, -6));
            Characters[49].Points.Add(new Point(2, -5));
            Characters[49].Points.Add(new Point(2, -4));
            Characters[49].Points.Add(new Point(2, -3));
            Characters[49].Points.Add(new Point(2, -2));
            Characters[49].Points.Add(new Point(2, -1));
            Characters[49].Points.Add(new Point(2, 0));
            Characters[49].NotPoints.Add(new Point(3, -9));
            Characters[49].NotPoints.Add(new Point(3, -8));
            Characters[49].NotPoints.Add(new Point(3, -7));
            Characters[49].NotPoints.Add(new Point(3, -6));
            Characters[49].NotPoints.Add(new Point(3, -5));
            Characters[49].NotPoints.Add(new Point(3, -4));
            Characters[49].NotPoints.Add(new Point(3, -3));
            Characters[49].NotPoints.Add(new Point(3, -2));
            Characters[49].NotPoints.Add(new Point(3, -1));
            Characters[49].Points.Add(new Point(3, 0));
            Characters[49].NotPoints.Add(new Point(4, -9));
            Characters[49].NotPoints.Add(new Point(4, -8));
            Characters[49].NotPoints.Add(new Point(4, -7));
            Characters[49].NotPoints.Add(new Point(4, -6));
            Characters[49].NotPoints.Add(new Point(4, -5));
            Characters[49].NotPoints.Add(new Point(4, -4));
            Characters[49].NotPoints.Add(new Point(4, -3));
            Characters[49].NotPoints.Add(new Point(4, -2));
            Characters[49].NotPoints.Add(new Point(4, -1));
            Characters[49].Points.Add(new Point(4, 0));

            Characters[50] = new Character();
            Characters[50].Increment = 6;
            Characters[50].NotPoints.Add(new Point(0, -9));
            Characters[50].Points.Add(new Point(0, -8));
            Characters[50].NotPoints.Add(new Point(0, -7));
            Characters[50].NotPoints.Add(new Point(0, -6));
            Characters[50].NotPoints.Add(new Point(0, -5));
            Characters[50].NotPoints.Add(new Point(0, -4));
            Characters[50].NotPoints.Add(new Point(0, -3));
            Characters[50].NotPoints.Add(new Point(0, -2));
            Characters[50].Points.Add(new Point(0, -1));
            Characters[50].Points.Add(new Point(0, 0));
            Characters[50].Points.Add(new Point(1, -9));
            Characters[50].NotPoints.Add(new Point(1, -8));
            Characters[50].NotPoints.Add(new Point(1, -7));
            Characters[50].NotPoints.Add(new Point(1, -6));
            Characters[50].NotPoints.Add(new Point(1, -5));
            Characters[50].NotPoints.Add(new Point(1, -4));
            Characters[50].NotPoints.Add(new Point(1, -3));
            Characters[50].Points.Add(new Point(1, -2));
            Characters[50].NotPoints.Add(new Point(1, -1));
            Characters[50].Points.Add(new Point(1, 0));
            Characters[50].Points.Add(new Point(2, -9));
            Characters[50].NotPoints.Add(new Point(2, -8));
            Characters[50].NotPoints.Add(new Point(2, -7));
            Characters[50].NotPoints.Add(new Point(2, -6));
            Characters[50].NotPoints.Add(new Point(2, -5));
            Characters[50].NotPoints.Add(new Point(2, -4));
            Characters[50].Points.Add(new Point(2, -3));
            Characters[50].NotPoints.Add(new Point(2, -2));
            Characters[50].NotPoints.Add(new Point(2, -1));
            Characters[50].Points.Add(new Point(2, 0));
            Characters[50].Points.Add(new Point(3, -9));
            Characters[50].NotPoints.Add(new Point(3, -8));
            Characters[50].NotPoints.Add(new Point(3, -7));
            Characters[50].NotPoints.Add(new Point(3, -6));
            Characters[50].NotPoints.Add(new Point(3, -5));
            Characters[50].Points.Add(new Point(3, -4));
            Characters[50].NotPoints.Add(new Point(3, -3));
            Characters[50].NotPoints.Add(new Point(3, -2));
            Characters[50].NotPoints.Add(new Point(3, -1));
            Characters[50].Points.Add(new Point(3, 0));
            Characters[50].NotPoints.Add(new Point(4, -9));
            Characters[50].Points.Add(new Point(4, -8));
            Characters[50].NotPoints.Add(new Point(4, -7));
            Characters[50].NotPoints.Add(new Point(4, -6));
            Characters[50].Points.Add(new Point(4, -5));
            Characters[50].NotPoints.Add(new Point(4, -4));
            Characters[50].NotPoints.Add(new Point(4, -3));
            Characters[50].NotPoints.Add(new Point(4, -2));
            Characters[50].NotPoints.Add(new Point(4, -1));
            Characters[50].Points.Add(new Point(4, 0));
            Characters[50].NotPoints.Add(new Point(5, -9));
            Characters[50].NotPoints.Add(new Point(5, -8));
            Characters[50].Points.Add(new Point(5, -7));
            Characters[50].Points.Add(new Point(5, -6));
            Characters[50].NotPoints.Add(new Point(5, -5));
            Characters[50].NotPoints.Add(new Point(5, -4));
            Characters[50].NotPoints.Add(new Point(5, -3));
            Characters[50].NotPoints.Add(new Point(5, -2));
            Characters[50].NotPoints.Add(new Point(5, -1));
            Characters[50].Points.Add(new Point(5, 0));

            Characters[51] = new Character();
            Characters[51].Increment = 5;
            Characters[51].NotPoints.Add(new Point(0, -9));
            Characters[51].Points.Add(new Point(0, -8));
            Characters[51].NotPoints.Add(new Point(0, -7));
            Characters[51].NotPoints.Add(new Point(0, -6));
            Characters[51].NotPoints.Add(new Point(0, -5));
            Characters[51].NotPoints.Add(new Point(0, -4));
            Characters[51].NotPoints.Add(new Point(0, -3));
            Characters[51].NotPoints.Add(new Point(0, -2));
            Characters[51].Points.Add(new Point(0, -1));
            Characters[51].NotPoints.Add(new Point(0, 0));
            Characters[51].Points.Add(new Point(1, -9));
            Characters[51].NotPoints.Add(new Point(1, -8));
            Characters[51].NotPoints.Add(new Point(1, -7));
            Characters[51].NotPoints.Add(new Point(1, -6));
            Characters[51].Points.Add(new Point(1, -5));
            Characters[51].NotPoints.Add(new Point(1, -4));
            Characters[51].NotPoints.Add(new Point(1, -3));
            Characters[51].NotPoints.Add(new Point(1, -2));
            Characters[51].NotPoints.Add(new Point(1, -1));
            Characters[51].Points.Add(new Point(1, 0));
            Characters[51].Points.Add(new Point(2, -9));
            Characters[51].NotPoints.Add(new Point(2, -8));
            Characters[51].NotPoints.Add(new Point(2, -7));
            Characters[51].NotPoints.Add(new Point(2, -6));
            Characters[51].Points.Add(new Point(2, -5));
            Characters[51].NotPoints.Add(new Point(2, -4));
            Characters[51].NotPoints.Add(new Point(2, -3));
            Characters[51].NotPoints.Add(new Point(2, -2));
            Characters[51].NotPoints.Add(new Point(2, -1));
            Characters[51].Points.Add(new Point(2, 0));
            Characters[51].Points.Add(new Point(3, -9));
            Characters[51].NotPoints.Add(new Point(3, -8));
            Characters[51].NotPoints.Add(new Point(3, -7));
            Characters[51].NotPoints.Add(new Point(3, -6));
            Characters[51].Points.Add(new Point(3, -5));
            Characters[51].NotPoints.Add(new Point(3, -4));
            Characters[51].NotPoints.Add(new Point(3, -3));
            Characters[51].NotPoints.Add(new Point(3, -2));
            Characters[51].NotPoints.Add(new Point(3, -1));
            Characters[51].Points.Add(new Point(3, 0));
            Characters[51].NotPoints.Add(new Point(4, -9));
            Characters[51].Points.Add(new Point(4, -8));
            Characters[51].Points.Add(new Point(4, -7));
            Characters[51].Points.Add(new Point(4, -6));
            Characters[51].NotPoints.Add(new Point(4, -5));
            Characters[51].Points.Add(new Point(4, -4));
            Characters[51].Points.Add(new Point(4, -3));
            Characters[51].Points.Add(new Point(4, -2));
            Characters[51].Points.Add(new Point(4, -1));
            Characters[51].NotPoints.Add(new Point(4, 0));

            Characters[52] = new Character();
            Characters[52].Increment = 6;
            Characters[52].Points.Add(new Point(0, -9));
            Characters[52].Points.Add(new Point(0, -8));
            Characters[52].Points.Add(new Point(0, -7));
            Characters[52].Points.Add(new Point(0, -6));
            Characters[52].Points.Add(new Point(0, -5));
            Characters[52].Points.Add(new Point(0, -4));
            Characters[52].Points.Add(new Point(0, -3));
            Characters[52].Points.Add(new Point(0, -2));
            Characters[52].NotPoints.Add(new Point(0, -1));
            Characters[52].NotPoints.Add(new Point(0, 0));
            Characters[52].NotPoints.Add(new Point(1, -9));
            Characters[52].NotPoints.Add(new Point(1, -8));
            Characters[52].NotPoints.Add(new Point(1, -7));
            Characters[52].NotPoints.Add(new Point(1, -6));
            Characters[52].NotPoints.Add(new Point(1, -5));
            Characters[52].NotPoints.Add(new Point(1, -4));
            Characters[52].NotPoints.Add(new Point(1, -3));
            Characters[52].Points.Add(new Point(1, -2));
            Characters[52].NotPoints.Add(new Point(1, -1));
            Characters[52].NotPoints.Add(new Point(1, 0));
            Characters[52].NotPoints.Add(new Point(2, -9));
            Characters[52].NotPoints.Add(new Point(2, -8));
            Characters[52].NotPoints.Add(new Point(2, -7));
            Characters[52].NotPoints.Add(new Point(2, -6));
            Characters[52].NotPoints.Add(new Point(2, -5));
            Characters[52].NotPoints.Add(new Point(2, -4));
            Characters[52].NotPoints.Add(new Point(2, -3));
            Characters[52].Points.Add(new Point(2, -2));
            Characters[52].NotPoints.Add(new Point(2, -1));
            Characters[52].NotPoints.Add(new Point(2, 0));
            Characters[52].NotPoints.Add(new Point(3, -9));
            Characters[52].NotPoints.Add(new Point(3, -8));
            Characters[52].NotPoints.Add(new Point(3, -7));
            Characters[52].NotPoints.Add(new Point(3, -6));
            Characters[52].Points.Add(new Point(3, -5));
            Characters[52].Points.Add(new Point(3, -4));
            Characters[52].Points.Add(new Point(3, -3));
            Characters[52].Points.Add(new Point(3, -2));
            Characters[52].Points.Add(new Point(3, -1));
            Characters[52].Points.Add(new Point(3, 0));
            Characters[52].NotPoints.Add(new Point(4, -9));
            Characters[52].NotPoints.Add(new Point(4, -8));
            Characters[52].NotPoints.Add(new Point(4, -7));
            Characters[52].NotPoints.Add(new Point(4, -6));
            Characters[52].NotPoints.Add(new Point(4, -5));
            Characters[52].NotPoints.Add(new Point(4, -4));
            Characters[52].NotPoints.Add(new Point(4, -3));
            Characters[52].Points.Add(new Point(4, -2));
            Characters[52].NotPoints.Add(new Point(4, -1));
            Characters[52].NotPoints.Add(new Point(4, 0));
            Characters[52].NotPoints.Add(new Point(5, -9));
            Characters[52].NotPoints.Add(new Point(5, -8));
            Characters[52].NotPoints.Add(new Point(5, -7));
            Characters[52].NotPoints.Add(new Point(5, -6));
            Characters[52].NotPoints.Add(new Point(5, -5));
            Characters[52].NotPoints.Add(new Point(5, -4));
            Characters[52].NotPoints.Add(new Point(5, -3));
            Characters[52].Points.Add(new Point(5, -2));
            Characters[52].NotPoints.Add(new Point(5, -1));
            Characters[52].NotPoints.Add(new Point(5, 0));

            Characters[53] = new Character();
            Characters[53].Increment = 5;
            Characters[53].Points.Add(new Point(0, -9));
            Characters[53].Points.Add(new Point(0, -8));
            Characters[53].Points.Add(new Point(0, -7));
            Characters[53].Points.Add(new Point(0, -6));
            Characters[53].NotPoints.Add(new Point(0, -5));
            Characters[53].NotPoints.Add(new Point(0, -4));
            Characters[53].NotPoints.Add(new Point(0, -3));
            Characters[53].NotPoints.Add(new Point(0, -2));
            Characters[53].Points.Add(new Point(0, -1));
            Characters[53].NotPoints.Add(new Point(0, 0));
            Characters[53].Points.Add(new Point(1, -9));
            Characters[53].NotPoints.Add(new Point(1, -8));
            Characters[53].NotPoints.Add(new Point(1, -7));
            Characters[53].Points.Add(new Point(1, -6));
            Characters[53].NotPoints.Add(new Point(1, -5));
            Characters[53].NotPoints.Add(new Point(1, -4));
            Characters[53].NotPoints.Add(new Point(1, -3));
            Characters[53].NotPoints.Add(new Point(1, -2));
            Characters[53].NotPoints.Add(new Point(1, -1));
            Characters[53].Points.Add(new Point(1, 0));
            Characters[53].Points.Add(new Point(2, -9));
            Characters[53].NotPoints.Add(new Point(2, -8));
            Characters[53].NotPoints.Add(new Point(2, -7));
            Characters[53].Points.Add(new Point(2, -6));
            Characters[53].NotPoints.Add(new Point(2, -5));
            Characters[53].NotPoints.Add(new Point(2, -4));
            Characters[53].NotPoints.Add(new Point(2, -3));
            Characters[53].NotPoints.Add(new Point(2, -2));
            Characters[53].NotPoints.Add(new Point(2, -1));
            Characters[53].Points.Add(new Point(2, 0));
            Characters[53].Points.Add(new Point(3, -9));
            Characters[53].NotPoints.Add(new Point(3, -8));
            Characters[53].NotPoints.Add(new Point(3, -7));
            Characters[53].NotPoints.Add(new Point(3, -6));
            Characters[53].Points.Add(new Point(3, -5));
            Characters[53].NotPoints.Add(new Point(3, -4));
            Characters[53].NotPoints.Add(new Point(3, -3));
            Characters[53].NotPoints.Add(new Point(3, -2));
            Characters[53].NotPoints.Add(new Point(3, -1));
            Characters[53].Points.Add(new Point(3, 0));
            Characters[53].Points.Add(new Point(4, -9));
            Characters[53].NotPoints.Add(new Point(4, -8));
            Characters[53].NotPoints.Add(new Point(4, -7));
            Characters[53].NotPoints.Add(new Point(4, -6));
            Characters[53].NotPoints.Add(new Point(4, -5));
            Characters[53].Points.Add(new Point(4, -4));
            Characters[53].Points.Add(new Point(4, -3));
            Characters[53].Points.Add(new Point(4, -2));
            Characters[53].Points.Add(new Point(4, -1));
            Characters[53].NotPoints.Add(new Point(4, 0));

            Characters[54] = new Character();
            Characters[54].Increment = 6;
            Characters[54].NotPoints.Add(new Point(0, -9));
            Characters[54].NotPoints.Add(new Point(0, -8));
            Characters[54].Points.Add(new Point(0, -7));
            Characters[54].Points.Add(new Point(0, -6));
            Characters[54].Points.Add(new Point(0, -5));
            Characters[54].Points.Add(new Point(0, -4));
            Characters[54].Points.Add(new Point(0, -3));
            Characters[54].Points.Add(new Point(0, -2));
            Characters[54].NotPoints.Add(new Point(0, -1));
            Characters[54].NotPoints.Add(new Point(0, 0));
            Characters[54].NotPoints.Add(new Point(1, -9));
            Characters[54].Points.Add(new Point(1, -8));
            Characters[54].NotPoints.Add(new Point(1, -7));
            Characters[54].NotPoints.Add(new Point(1, -6));
            Characters[54].NotPoints.Add(new Point(1, -5));
            Characters[54].Points.Add(new Point(1, -4));
            Characters[54].NotPoints.Add(new Point(1, -3));
            Characters[54].NotPoints.Add(new Point(1, -2));
            Characters[54].Points.Add(new Point(1, -1));
            Characters[54].NotPoints.Add(new Point(1, 0));
            Characters[54].Points.Add(new Point(2, -9));
            Characters[54].NotPoints.Add(new Point(2, -8));
            Characters[54].NotPoints.Add(new Point(2, -7));
            Characters[54].NotPoints.Add(new Point(2, -6));
            Characters[54].Points.Add(new Point(2, -5));
            Characters[54].NotPoints.Add(new Point(2, -4));
            Characters[54].NotPoints.Add(new Point(2, -3));
            Characters[54].NotPoints.Add(new Point(2, -2));
            Characters[54].NotPoints.Add(new Point(2, -1));
            Characters[54].Points.Add(new Point(2, 0));
            Characters[54].Points.Add(new Point(3, -9));
            Characters[54].NotPoints.Add(new Point(3, -8));
            Characters[54].NotPoints.Add(new Point(3, -7));
            Characters[54].NotPoints.Add(new Point(3, -6));
            Characters[54].Points.Add(new Point(3, -5));
            Characters[54].NotPoints.Add(new Point(3, -4));
            Characters[54].NotPoints.Add(new Point(3, -3));
            Characters[54].NotPoints.Add(new Point(3, -2));
            Characters[54].NotPoints.Add(new Point(3, -1));
            Characters[54].Points.Add(new Point(3, 0));
            Characters[54].NotPoints.Add(new Point(4, -9));
            Characters[54].Points.Add(new Point(4, -8));
            Characters[54].NotPoints.Add(new Point(4, -7));
            Characters[54].NotPoints.Add(new Point(4, -6));
            Characters[54].NotPoints.Add(new Point(4, -5));
            Characters[54].Points.Add(new Point(4, -4));
            Characters[54].NotPoints.Add(new Point(4, -3));
            Characters[54].NotPoints.Add(new Point(4, -2));
            Characters[54].Points.Add(new Point(4, -1));
            Characters[54].NotPoints.Add(new Point(4, 0));
            Characters[54].NotPoints.Add(new Point(5, -9));
            Characters[54].NotPoints.Add(new Point(5, -8));
            Characters[54].NotPoints.Add(new Point(5, -7));
            Characters[54].NotPoints.Add(new Point(5, -6));
            Characters[54].NotPoints.Add(new Point(5, -5));
            Characters[54].NotPoints.Add(new Point(5, -4));
            Characters[54].Points.Add(new Point(5, -3));
            Characters[54].Points.Add(new Point(5, -2));
            Characters[54].NotPoints.Add(new Point(5, -1));
            Characters[54].NotPoints.Add(new Point(5, 0));

            Characters[55] = new Character();
            Characters[55].Increment = 5;
            Characters[55].Points.Add(new Point(0, -9));
            Characters[55].NotPoints.Add(new Point(0, -8));
            Characters[55].NotPoints.Add(new Point(0, -7));
            Characters[55].NotPoints.Add(new Point(0, -6));
            Characters[55].NotPoints.Add(new Point(0, -5));
            Characters[55].NotPoints.Add(new Point(0, -4));
            Characters[55].NotPoints.Add(new Point(0, -3));
            Characters[55].NotPoints.Add(new Point(0, -2));
            Characters[55].Points.Add(new Point(0, -1));
            Characters[55].Points.Add(new Point(0, 0));
            Characters[55].Points.Add(new Point(1, -9));
            Characters[55].NotPoints.Add(new Point(1, -8));
            Characters[55].NotPoints.Add(new Point(1, -7));
            Characters[55].NotPoints.Add(new Point(1, -6));
            Characters[55].NotPoints.Add(new Point(1, -5));
            Characters[55].NotPoints.Add(new Point(1, -4));
            Characters[55].Points.Add(new Point(1, -3));
            Characters[55].Points.Add(new Point(1, -2));
            Characters[55].NotPoints.Add(new Point(1, -1));
            Characters[55].NotPoints.Add(new Point(1, 0));
            Characters[55].Points.Add(new Point(2, -9));
            Characters[55].NotPoints.Add(new Point(2, -8));
            Characters[55].NotPoints.Add(new Point(2, -7));
            Characters[55].NotPoints.Add(new Point(2, -6));
            Characters[55].Points.Add(new Point(2, -5));
            Characters[55].Points.Add(new Point(2, -4));
            Characters[55].NotPoints.Add(new Point(2, -3));
            Characters[55].NotPoints.Add(new Point(2, -2));
            Characters[55].NotPoints.Add(new Point(2, -1));
            Characters[55].NotPoints.Add(new Point(2, 0));
            Characters[55].Points.Add(new Point(3, -9));
            Characters[55].NotPoints.Add(new Point(3, -8));
            Characters[55].Points.Add(new Point(3, -7));
            Characters[55].Points.Add(new Point(3, -6));
            Characters[55].NotPoints.Add(new Point(3, -5));
            Characters[55].NotPoints.Add(new Point(3, -4));
            Characters[55].NotPoints.Add(new Point(3, -3));
            Characters[55].NotPoints.Add(new Point(3, -2));
            Characters[55].NotPoints.Add(new Point(3, -1));
            Characters[55].NotPoints.Add(new Point(3, 0));
            Characters[55].Points.Add(new Point(4, -9));
            Characters[55].Points.Add(new Point(4, -8));
            Characters[55].NotPoints.Add(new Point(4, -7));
            Characters[55].NotPoints.Add(new Point(4, -6));
            Characters[55].NotPoints.Add(new Point(4, -5));
            Characters[55].NotPoints.Add(new Point(4, -4));
            Characters[55].NotPoints.Add(new Point(4, -3));
            Characters[55].NotPoints.Add(new Point(4, -2));
            Characters[55].NotPoints.Add(new Point(4, -1));
            Characters[55].NotPoints.Add(new Point(4, 0));

            Characters[56] = new Character();
            Characters[56].Increment = 6;
            Characters[56].NotPoints.Add(new Point(0, -9));
            Characters[56].NotPoints.Add(new Point(0, -8));
            Characters[56].Points.Add(new Point(0, -7));
            Characters[56].NotPoints.Add(new Point(0, -6));
            Characters[56].NotPoints.Add(new Point(0, -5));
            Characters[56].NotPoints.Add(new Point(0, -4));
            Characters[56].Points.Add(new Point(0, -3));
            Characters[56].Points.Add(new Point(0, -2));
            Characters[56].NotPoints.Add(new Point(0, -1));
            Characters[56].NotPoints.Add(new Point(0, 0));
            Characters[56].NotPoints.Add(new Point(1, -9));
            Characters[56].Points.Add(new Point(1, -8));
            Characters[56].NotPoints.Add(new Point(1, -7));
            Characters[56].Points.Add(new Point(1, -6));
            Characters[56].NotPoints.Add(new Point(1, -5));
            Characters[56].Points.Add(new Point(1, -4));
            Characters[56].NotPoints.Add(new Point(1, -3));
            Characters[56].NotPoints.Add(new Point(1, -2));
            Characters[56].Points.Add(new Point(1, -1));
            Characters[56].NotPoints.Add(new Point(1, 0));
            Characters[56].Points.Add(new Point(2, -9));
            Characters[56].NotPoints.Add(new Point(2, -8));
            Characters[56].NotPoints.Add(new Point(2, -7));
            Characters[56].NotPoints.Add(new Point(2, -6));
            Characters[56].Points.Add(new Point(2, -5));
            Characters[56].NotPoints.Add(new Point(2, -4));
            Characters[56].NotPoints.Add(new Point(2, -3));
            Characters[56].NotPoints.Add(new Point(2, -2));
            Characters[56].NotPoints.Add(new Point(2, -1));
            Characters[56].Points.Add(new Point(2, 0));
            Characters[56].Points.Add(new Point(3, -9));
            Characters[56].NotPoints.Add(new Point(3, -8));
            Characters[56].NotPoints.Add(new Point(3, -7));
            Characters[56].NotPoints.Add(new Point(3, -6));
            Characters[56].Points.Add(new Point(3, -5));
            Characters[56].NotPoints.Add(new Point(3, -4));
            Characters[56].NotPoints.Add(new Point(3, -3));
            Characters[56].NotPoints.Add(new Point(3, -2));
            Characters[56].NotPoints.Add(new Point(3, -1));
            Characters[56].Points.Add(new Point(3, 0));
            Characters[56].NotPoints.Add(new Point(4, -9));
            Characters[56].Points.Add(new Point(4, -8));
            Characters[56].NotPoints.Add(new Point(4, -7));
            Characters[56].Points.Add(new Point(4, -6));
            Characters[56].NotPoints.Add(new Point(4, -5));
            Characters[56].Points.Add(new Point(4, -4));
            Characters[56].NotPoints.Add(new Point(4, -3));
            Characters[56].NotPoints.Add(new Point(4, -2));
            Characters[56].Points.Add(new Point(4, -1));
            Characters[56].NotPoints.Add(new Point(4, 0));
            Characters[56].NotPoints.Add(new Point(5, -9));
            Characters[56].NotPoints.Add(new Point(5, -8));
            Characters[56].Points.Add(new Point(5, -7));
            Characters[56].NotPoints.Add(new Point(5, -6));
            Characters[56].NotPoints.Add(new Point(5, -5));
            Characters[56].NotPoints.Add(new Point(5, -4));
            Characters[56].Points.Add(new Point(5, -3));
            Characters[56].Points.Add(new Point(5, -2));
            Characters[56].NotPoints.Add(new Point(5, -1));
            Characters[56].NotPoints.Add(new Point(5, 0));

            Characters[57] = new Character();
            Characters[57].Increment = 6;
            Characters[57].NotPoints.Add(new Point(0, -9));
            Characters[57].Points.Add(new Point(0, -8));
            Characters[57].Points.Add(new Point(0, -7));
            Characters[57].Points.Add(new Point(0, -6));
            Characters[57].NotPoints.Add(new Point(0, -5));
            Characters[57].NotPoints.Add(new Point(0, -4));
            Characters[57].NotPoints.Add(new Point(0, -3));
            Characters[57].NotPoints.Add(new Point(0, -2));
            Characters[57].NotPoints.Add(new Point(0, -1));
            Characters[57].NotPoints.Add(new Point(0, 0));
            Characters[57].Points.Add(new Point(1, -9));
            Characters[57].NotPoints.Add(new Point(1, -8));
            Characters[57].NotPoints.Add(new Point(1, -7));
            Characters[57].NotPoints.Add(new Point(1, -6));
            Characters[57].Points.Add(new Point(1, -5));
            Characters[57].NotPoints.Add(new Point(1, -4));
            Characters[57].NotPoints.Add(new Point(1, -3));
            Characters[57].NotPoints.Add(new Point(1, -2));
            Characters[57].NotPoints.Add(new Point(1, -1));
            Characters[57].NotPoints.Add(new Point(1, 0));
            Characters[57].Points.Add(new Point(2, -9));
            Characters[57].NotPoints.Add(new Point(2, -8));
            Characters[57].NotPoints.Add(new Point(2, -7));
            Characters[57].NotPoints.Add(new Point(2, -6));
            Characters[57].NotPoints.Add(new Point(2, -5));
            Characters[57].Points.Add(new Point(2, -4));
            Characters[57].NotPoints.Add(new Point(2, -3));
            Characters[57].NotPoints.Add(new Point(2, -2));
            Characters[57].NotPoints.Add(new Point(2, -1));
            Characters[57].NotPoints.Add(new Point(2, 0));
            Characters[57].Points.Add(new Point(3, -9));
            Characters[57].NotPoints.Add(new Point(3, -8));
            Characters[57].NotPoints.Add(new Point(3, -7));
            Characters[57].NotPoints.Add(new Point(3, -6));
            Characters[57].NotPoints.Add(new Point(3, -5));
            Characters[57].Points.Add(new Point(3, -4));
            Characters[57].NotPoints.Add(new Point(3, -3));
            Characters[57].NotPoints.Add(new Point(3, -2));
            Characters[57].NotPoints.Add(new Point(3, -1));
            Characters[57].NotPoints.Add(new Point(3, 0));
            Characters[57].Points.Add(new Point(4, -9));
            Characters[57].NotPoints.Add(new Point(4, -8));
            Characters[57].NotPoints.Add(new Point(4, -7));
            Characters[57].NotPoints.Add(new Point(4, -6));
            Characters[57].NotPoints.Add(new Point(4, -5));
            Characters[57].Points.Add(new Point(4, -4));
            Characters[57].NotPoints.Add(new Point(4, -3));
            Characters[57].NotPoints.Add(new Point(4, -2));
            Characters[57].NotPoints.Add(new Point(4, -1));
            Characters[57].NotPoints.Add(new Point(4, 0));
            Characters[57].NotPoints.Add(new Point(5, -9));
            Characters[57].Points.Add(new Point(5, -8));
            Characters[57].Points.Add(new Point(5, -7));
            Characters[57].Points.Add(new Point(5, -6));
            Characters[57].Points.Add(new Point(5, -5));
            Characters[57].Points.Add(new Point(5, -4));
            Characters[57].Points.Add(new Point(5, -3));
            Characters[57].Points.Add(new Point(5, -2));
            Characters[57].Points.Add(new Point(5, -1));
            Characters[57].Points.Add(new Point(5, 0));

            Characters[65] = new Character();
            Characters[65].Increment = 6;
            Characters[65].NotPoints.Add(new Point(0, -9));
            Characters[65].NotPoints.Add(new Point(0, -8));
            Characters[65].Points.Add(new Point(0, -7));
            Characters[65].Points.Add(new Point(0, -6));
            Characters[65].Points.Add(new Point(0, -5));
            Characters[65].Points.Add(new Point(0, -4));
            Characters[65].Points.Add(new Point(0, -3));
            Characters[65].Points.Add(new Point(0, -2));
            Characters[65].Points.Add(new Point(0, -1));
            Characters[65].Points.Add(new Point(0, 0));
            Characters[65].NotPoints.Add(new Point(1, -9));
            Characters[65].Points.Add(new Point(1, -8));
            Characters[65].NotPoints.Add(new Point(1, -7));
            Characters[65].NotPoints.Add(new Point(1, -6));
            Characters[65].Points.Add(new Point(1, -5));
            Characters[65].NotPoints.Add(new Point(1, -4));
            Characters[65].NotPoints.Add(new Point(1, -3));
            Characters[65].NotPoints.Add(new Point(1, -2));
            Characters[65].NotPoints.Add(new Point(1, -1));
            Characters[65].NotPoints.Add(new Point(1, 0));
            Characters[65].Points.Add(new Point(2, -9));
            Characters[65].NotPoints.Add(new Point(2, -8));
            Characters[65].NotPoints.Add(new Point(2, -7));
            Characters[65].NotPoints.Add(new Point(2, -6));
            Characters[65].Points.Add(new Point(2, -5));
            Characters[65].NotPoints.Add(new Point(2, -4));
            Characters[65].NotPoints.Add(new Point(2, -3));
            Characters[65].NotPoints.Add(new Point(2, -2));
            Characters[65].NotPoints.Add(new Point(2, -1));
            Characters[65].NotPoints.Add(new Point(2, 0));
            Characters[65].Points.Add(new Point(3, -9));
            Characters[65].NotPoints.Add(new Point(3, -8));
            Characters[65].NotPoints.Add(new Point(3, -7));
            Characters[65].NotPoints.Add(new Point(3, -6));
            Characters[65].Points.Add(new Point(3, -5));
            Characters[65].NotPoints.Add(new Point(3, -4));
            Characters[65].NotPoints.Add(new Point(3, -3));
            Characters[65].NotPoints.Add(new Point(3, -2));
            Characters[65].NotPoints.Add(new Point(3, -1));
            Characters[65].NotPoints.Add(new Point(3, 0));
            Characters[65].NotPoints.Add(new Point(4, -9));
            Characters[65].Points.Add(new Point(4, -8));
            Characters[65].NotPoints.Add(new Point(4, -7));
            Characters[65].NotPoints.Add(new Point(4, -6));
            Characters[65].Points.Add(new Point(4, -5));
            Characters[65].NotPoints.Add(new Point(4, -4));
            Characters[65].NotPoints.Add(new Point(4, -3));
            Characters[65].NotPoints.Add(new Point(4, -2));
            Characters[65].NotPoints.Add(new Point(4, -1));
            Characters[65].NotPoints.Add(new Point(4, 0));
            Characters[65].NotPoints.Add(new Point(5, -9));
            Characters[65].NotPoints.Add(new Point(5, -8));
            Characters[65].Points.Add(new Point(5, -7));
            Characters[65].Points.Add(new Point(5, -6));
            Characters[65].Points.Add(new Point(5, -5));
            Characters[65].Points.Add(new Point(5, -4));
            Characters[65].Points.Add(new Point(5, -3));
            Characters[65].Points.Add(new Point(5, -2));
            Characters[65].Points.Add(new Point(5, -1));
            Characters[65].Points.Add(new Point(5, 0));

            Characters[66] = new Character();
            Characters[66].Increment = 5;
            Characters[66].Points.Add(new Point(0, -9));
            Characters[66].Points.Add(new Point(0, -8));
            Characters[66].Points.Add(new Point(0, -7));
            Characters[66].Points.Add(new Point(0, -6));
            Characters[66].Points.Add(new Point(0, -5));
            Characters[66].Points.Add(new Point(0, -4));
            Characters[66].Points.Add(new Point(0, -3));
            Characters[66].Points.Add(new Point(0, -2));
            Characters[66].Points.Add(new Point(0, -1));
            Characters[66].Points.Add(new Point(0, 0));
            Characters[66].Points.Add(new Point(1, -9));
            Characters[66].NotPoints.Add(new Point(1, -8));
            Characters[66].NotPoints.Add(new Point(1, -7));
            Characters[66].NotPoints.Add(new Point(1, -6));
            Characters[66].Points.Add(new Point(1, -5));
            Characters[66].NotPoints.Add(new Point(1, -4));
            Characters[66].NotPoints.Add(new Point(1, -3));
            Characters[66].NotPoints.Add(new Point(1, -2));
            Characters[66].NotPoints.Add(new Point(1, -1));
            Characters[66].Points.Add(new Point(1, 0));
            Characters[66].Points.Add(new Point(2, -9));
            Characters[66].NotPoints.Add(new Point(2, -8));
            Characters[66].NotPoints.Add(new Point(2, -7));
            Characters[66].NotPoints.Add(new Point(2, -6));
            Characters[66].Points.Add(new Point(2, -5));
            Characters[66].NotPoints.Add(new Point(2, -4));
            Characters[66].NotPoints.Add(new Point(2, -3));
            Characters[66].NotPoints.Add(new Point(2, -2));
            Characters[66].NotPoints.Add(new Point(2, -1));
            Characters[66].Points.Add(new Point(2, 0));
            Characters[66].Points.Add(new Point(3, -9));
            Characters[66].NotPoints.Add(new Point(3, -8));
            Characters[66].NotPoints.Add(new Point(3, -7));
            Characters[66].NotPoints.Add(new Point(3, -6));
            Characters[66].Points.Add(new Point(3, -5));
            Characters[66].NotPoints.Add(new Point(3, -4));
            Characters[66].NotPoints.Add(new Point(3, -3));
            Characters[66].NotPoints.Add(new Point(3, -2));
            Characters[66].NotPoints.Add(new Point(3, -1));
            Characters[66].Points.Add(new Point(3, 0));
            Characters[66].NotPoints.Add(new Point(4, -9));
            Characters[66].Points.Add(new Point(4, -8));
            Characters[66].Points.Add(new Point(4, -7));
            Characters[66].Points.Add(new Point(4, -6));
            Characters[66].NotPoints.Add(new Point(4, -5));
            Characters[66].Points.Add(new Point(4, -4));
            Characters[66].Points.Add(new Point(4, -3));
            Characters[66].Points.Add(new Point(4, -2));
            Characters[66].Points.Add(new Point(4, -1));
            Characters[66].NotPoints.Add(new Point(4, 0));

            Characters[67] = new Character();
            Characters[67].Increment = 5;
            Characters[67].NotPoints.Add(new Point(0, -9));
            Characters[67].NotPoints.Add(new Point(0, -8));
            Characters[67].Points.Add(new Point(0, -7));
            Characters[67].Points.Add(new Point(0, -6));
            Characters[67].Points.Add(new Point(0, -5));
            Characters[67].Points.Add(new Point(0, -4));
            Characters[67].Points.Add(new Point(0, -3));
            Characters[67].Points.Add(new Point(0, -2));
            Characters[67].NotPoints.Add(new Point(0, -1));
            Characters[67].NotPoints.Add(new Point(0, 0));
            Characters[67].NotPoints.Add(new Point(1, -9));
            Characters[67].Points.Add(new Point(1, -8));
            Characters[67].NotPoints.Add(new Point(1, -7));
            Characters[67].NotPoints.Add(new Point(1, -6));
            Characters[67].NotPoints.Add(new Point(1, -5));
            Characters[67].NotPoints.Add(new Point(1, -4));
            Characters[67].NotPoints.Add(new Point(1, -3));
            Characters[67].NotPoints.Add(new Point(1, -2));
            Characters[67].Points.Add(new Point(1, -1));
            Characters[67].NotPoints.Add(new Point(1, 0));
            Characters[67].Points.Add(new Point(2, -9));
            Characters[67].NotPoints.Add(new Point(2, -8));
            Characters[67].NotPoints.Add(new Point(2, -7));
            Characters[67].NotPoints.Add(new Point(2, -6));
            Characters[67].NotPoints.Add(new Point(2, -5));
            Characters[67].NotPoints.Add(new Point(2, -4));
            Characters[67].NotPoints.Add(new Point(2, -3));
            Characters[67].NotPoints.Add(new Point(2, -2));
            Characters[67].NotPoints.Add(new Point(2, -1));
            Characters[67].Points.Add(new Point(2, 0));
            Characters[67].Points.Add(new Point(3, -9));
            Characters[67].NotPoints.Add(new Point(3, -8));
            Characters[67].NotPoints.Add(new Point(3, -7));
            Characters[67].NotPoints.Add(new Point(3, -6));
            Characters[67].NotPoints.Add(new Point(3, -5));
            Characters[67].NotPoints.Add(new Point(3, -4));
            Characters[67].NotPoints.Add(new Point(3, -3));
            Characters[67].NotPoints.Add(new Point(3, -2));
            Characters[67].NotPoints.Add(new Point(3, -1));
            Characters[67].Points.Add(new Point(3, 0));
            Characters[67].NotPoints.Add(new Point(4, -9));
            Characters[67].Points.Add(new Point(4, -8));
            Characters[67].NotPoints.Add(new Point(4, -7));
            Characters[67].NotPoints.Add(new Point(4, -6));
            Characters[67].NotPoints.Add(new Point(4, -5));
            Characters[67].NotPoints.Add(new Point(4, -4));
            Characters[67].NotPoints.Add(new Point(4, -3));
            Characters[67].NotPoints.Add(new Point(4, -2));
            Characters[67].Points.Add(new Point(4, -1));
            Characters[67].NotPoints.Add(new Point(4, 0));

            Characters[68] = new Character();
            Characters[68].Increment = 5;
            Characters[68].Points.Add(new Point(0, -9));
            Characters[68].Points.Add(new Point(0, -8));
            Characters[68].Points.Add(new Point(0, -7));
            Characters[68].Points.Add(new Point(0, -6));
            Characters[68].Points.Add(new Point(0, -5));
            Characters[68].Points.Add(new Point(0, -4));
            Characters[68].Points.Add(new Point(0, -3));
            Characters[68].Points.Add(new Point(0, -2));
            Characters[68].Points.Add(new Point(0, -1));
            Characters[68].Points.Add(new Point(0, 0));
            Characters[68].Points.Add(new Point(1, -9));
            Characters[68].NotPoints.Add(new Point(1, -8));
            Characters[68].NotPoints.Add(new Point(1, -7));
            Characters[68].NotPoints.Add(new Point(1, -6));
            Characters[68].NotPoints.Add(new Point(1, -5));
            Characters[68].NotPoints.Add(new Point(1, -4));
            Characters[68].NotPoints.Add(new Point(1, -3));
            Characters[68].NotPoints.Add(new Point(1, -2));
            Characters[68].NotPoints.Add(new Point(1, -1));
            Characters[68].Points.Add(new Point(1, 0));
            Characters[68].Points.Add(new Point(2, -9));
            Characters[68].NotPoints.Add(new Point(2, -8));
            Characters[68].NotPoints.Add(new Point(2, -7));
            Characters[68].NotPoints.Add(new Point(2, -6));
            Characters[68].NotPoints.Add(new Point(2, -5));
            Characters[68].NotPoints.Add(new Point(2, -4));
            Characters[68].NotPoints.Add(new Point(2, -3));
            Characters[68].NotPoints.Add(new Point(2, -2));
            Characters[68].NotPoints.Add(new Point(2, -1));
            Characters[68].Points.Add(new Point(2, 0));
            Characters[68].NotPoints.Add(new Point(3, -9));
            Characters[68].Points.Add(new Point(3, -8));
            Characters[68].NotPoints.Add(new Point(3, -7));
            Characters[68].NotPoints.Add(new Point(3, -6));
            Characters[68].NotPoints.Add(new Point(3, -5));
            Characters[68].NotPoints.Add(new Point(3, -4));
            Characters[68].NotPoints.Add(new Point(3, -3));
            Characters[68].NotPoints.Add(new Point(3, -2));
            Characters[68].NotPoints.Add(new Point(3, -1));
            Characters[68].Points.Add(new Point(3, 0));
            Characters[68].NotPoints.Add(new Point(4, -9));
            Characters[68].NotPoints.Add(new Point(4, -8));
            Characters[68].Points.Add(new Point(4, -7));
            Characters[68].Points.Add(new Point(4, -6));
            Characters[68].Points.Add(new Point(4, -5));
            Characters[68].Points.Add(new Point(4, -4));
            Characters[68].Points.Add(new Point(4, -3));
            Characters[68].Points.Add(new Point(4, -2));
            Characters[68].Points.Add(new Point(4, -1));
            Characters[68].NotPoints.Add(new Point(4, 0));

            Characters[69] = new Character();
            Characters[69].Increment = 5;
            Characters[69].Points.Add(new Point(0, -9));
            Characters[69].Points.Add(new Point(0, -8));
            Characters[69].Points.Add(new Point(0, -7));
            Characters[69].Points.Add(new Point(0, -6));
            Characters[69].Points.Add(new Point(0, -5));
            Characters[69].Points.Add(new Point(0, -4));
            Characters[69].Points.Add(new Point(0, -3));
            Characters[69].Points.Add(new Point(0, -2));
            Characters[69].Points.Add(new Point(0, -1));
            Characters[69].Points.Add(new Point(0, 0));
            Characters[69].Points.Add(new Point(1, -9));
            Characters[69].NotPoints.Add(new Point(1, -8));
            Characters[69].NotPoints.Add(new Point(1, -7));
            Characters[69].NotPoints.Add(new Point(1, -6));
            Characters[69].Points.Add(new Point(1, -5));
            Characters[69].NotPoints.Add(new Point(1, -4));
            Characters[69].NotPoints.Add(new Point(1, -3));
            Characters[69].NotPoints.Add(new Point(1, -2));
            Characters[69].NotPoints.Add(new Point(1, -1));
            Characters[69].Points.Add(new Point(1, 0));
            Characters[69].Points.Add(new Point(2, -9));
            Characters[69].NotPoints.Add(new Point(2, -8));
            Characters[69].NotPoints.Add(new Point(2, -7));
            Characters[69].NotPoints.Add(new Point(2, -6));
            Characters[69].Points.Add(new Point(2, -5));
            Characters[69].NotPoints.Add(new Point(2, -4));
            Characters[69].NotPoints.Add(new Point(2, -3));
            Characters[69].NotPoints.Add(new Point(2, -2));
            Characters[69].NotPoints.Add(new Point(2, -1));
            Characters[69].Points.Add(new Point(2, 0));
            Characters[69].Points.Add(new Point(3, -9));
            Characters[69].NotPoints.Add(new Point(3, -8));
            Characters[69].NotPoints.Add(new Point(3, -7));
            Characters[69].NotPoints.Add(new Point(3, -6));
            Characters[69].NotPoints.Add(new Point(3, -5));
            Characters[69].NotPoints.Add(new Point(3, -4));
            Characters[69].NotPoints.Add(new Point(3, -3));
            Characters[69].NotPoints.Add(new Point(3, -2));
            Characters[69].NotPoints.Add(new Point(3, -1));
            Characters[69].Points.Add(new Point(3, 0));
            Characters[69].Points.Add(new Point(4, -9));
            Characters[69].NotPoints.Add(new Point(4, -8));
            Characters[69].NotPoints.Add(new Point(4, -7));
            Characters[69].NotPoints.Add(new Point(4, -6));
            Characters[69].NotPoints.Add(new Point(4, -5));
            Characters[69].NotPoints.Add(new Point(4, -4));
            Characters[69].NotPoints.Add(new Point(4, -3));
            Characters[69].NotPoints.Add(new Point(4, -2));
            Characters[69].NotPoints.Add(new Point(4, -1));
            Characters[69].Points.Add(new Point(4, 0));

            Characters[70] = new Character();
            Characters[70].Increment = 5;
            Characters[70].Points.Add(new Point(0, -9));
            Characters[70].Points.Add(new Point(0, -8));
            Characters[70].Points.Add(new Point(0, -7));
            Characters[70].Points.Add(new Point(0, -6));
            Characters[70].Points.Add(new Point(0, -5));
            Characters[70].Points.Add(new Point(0, -4));
            Characters[70].Points.Add(new Point(0, -3));
            Characters[70].Points.Add(new Point(0, -2));
            Characters[70].Points.Add(new Point(0, -1));
            Characters[70].Points.Add(new Point(0, 0));
            Characters[70].Points.Add(new Point(1, -9));
            Characters[70].NotPoints.Add(new Point(1, -8));
            Characters[70].NotPoints.Add(new Point(1, -7));
            Characters[70].NotPoints.Add(new Point(1, -6));
            Characters[70].Points.Add(new Point(1, -5));
            Characters[70].NotPoints.Add(new Point(1, -4));
            Characters[70].NotPoints.Add(new Point(1, -3));
            Characters[70].NotPoints.Add(new Point(1, -2));
            Characters[70].NotPoints.Add(new Point(1, -1));
            Characters[70].NotPoints.Add(new Point(1, 0));
            Characters[70].Points.Add(new Point(2, -9));
            Characters[70].NotPoints.Add(new Point(2, -8));
            Characters[70].NotPoints.Add(new Point(2, -7));
            Characters[70].NotPoints.Add(new Point(2, -6));
            Characters[70].Points.Add(new Point(2, -5));
            Characters[70].NotPoints.Add(new Point(2, -4));
            Characters[70].NotPoints.Add(new Point(2, -3));
            Characters[70].NotPoints.Add(new Point(2, -2));
            Characters[70].NotPoints.Add(new Point(2, -1));
            Characters[70].NotPoints.Add(new Point(2, 0));
            Characters[70].Points.Add(new Point(3, -9));
            Characters[70].NotPoints.Add(new Point(3, -8));
            Characters[70].NotPoints.Add(new Point(3, -7));
            Characters[70].NotPoints.Add(new Point(3, -6));
            Characters[70].NotPoints.Add(new Point(3, -5));
            Characters[70].NotPoints.Add(new Point(3, -4));
            Characters[70].NotPoints.Add(new Point(3, -3));
            Characters[70].NotPoints.Add(new Point(3, -2));
            Characters[70].NotPoints.Add(new Point(3, -1));
            Characters[70].NotPoints.Add(new Point(3, 0));
            Characters[70].Points.Add(new Point(4, -9));
            Characters[70].NotPoints.Add(new Point(4, -8));
            Characters[70].NotPoints.Add(new Point(4, -7));
            Characters[70].NotPoints.Add(new Point(4, -6));
            Characters[70].NotPoints.Add(new Point(4, -5));
            Characters[70].NotPoints.Add(new Point(4, -4));
            Characters[70].NotPoints.Add(new Point(4, -3));
            Characters[70].NotPoints.Add(new Point(4, -2));
            Characters[70].NotPoints.Add(new Point(4, -1));
            Characters[70].NotPoints.Add(new Point(4, 0));

            Characters[71] = new Character();
            Characters[71].Increment = 6;
            Characters[71].NotPoints.Add(new Point(0, -9));
            Characters[71].NotPoints.Add(new Point(0, -8));
            Characters[71].Points.Add(new Point(0, -7));
            Characters[71].Points.Add(new Point(0, -6));
            Characters[71].Points.Add(new Point(0, -5));
            Characters[71].Points.Add(new Point(0, -4));
            Characters[71].Points.Add(new Point(0, -3));
            Characters[71].Points.Add(new Point(0, -2));
            Characters[71].NotPoints.Add(new Point(0, -1));
            Characters[71].NotPoints.Add(new Point(0, 0));
            Characters[71].NotPoints.Add(new Point(1, -9));
            Characters[71].Points.Add(new Point(1, -8));
            Characters[71].NotPoints.Add(new Point(1, -7));
            Characters[71].NotPoints.Add(new Point(1, -6));
            Characters[71].NotPoints.Add(new Point(1, -5));
            Characters[71].NotPoints.Add(new Point(1, -4));
            Characters[71].NotPoints.Add(new Point(1, -3));
            Characters[71].NotPoints.Add(new Point(1, -2));
            Characters[71].Points.Add(new Point(1, -1));
            Characters[71].NotPoints.Add(new Point(1, 0));
            Characters[71].Points.Add(new Point(2, -9));
            Characters[71].NotPoints.Add(new Point(2, -8));
            Characters[71].NotPoints.Add(new Point(2, -7));
            Characters[71].NotPoints.Add(new Point(2, -6));
            Characters[71].NotPoints.Add(new Point(2, -5));
            Characters[71].NotPoints.Add(new Point(2, -4));
            Characters[71].NotPoints.Add(new Point(2, -3));
            Characters[71].NotPoints.Add(new Point(2, -2));
            Characters[71].NotPoints.Add(new Point(2, -1));
            Characters[71].Points.Add(new Point(2, 0));
            Characters[71].Points.Add(new Point(3, -9));
            Characters[71].NotPoints.Add(new Point(3, -8));
            Characters[71].NotPoints.Add(new Point(3, -7));
            Characters[71].NotPoints.Add(new Point(3, -6));
            Characters[71].Points.Add(new Point(3, -5));
            Characters[71].NotPoints.Add(new Point(3, -4));
            Characters[71].NotPoints.Add(new Point(3, -3));
            Characters[71].NotPoints.Add(new Point(3, -2));
            Characters[71].NotPoints.Add(new Point(3, -1));
            Characters[71].Points.Add(new Point(3, 0));
            Characters[71].Points.Add(new Point(4, -9));
            Characters[71].NotPoints.Add(new Point(4, -8));
            Characters[71].NotPoints.Add(new Point(4, -7));
            Characters[71].NotPoints.Add(new Point(4, -6));
            Characters[71].Points.Add(new Point(4, -5));
            Characters[71].NotPoints.Add(new Point(4, -4));
            Characters[71].NotPoints.Add(new Point(4, -3));
            Characters[71].NotPoints.Add(new Point(4, -2));
            Characters[71].NotPoints.Add(new Point(4, -1));
            Characters[71].Points.Add(new Point(4, 0));
            Characters[71].NotPoints.Add(new Point(5, -9));
            Characters[71].Points.Add(new Point(5, -8));
            Characters[71].NotPoints.Add(new Point(5, -7));
            Characters[71].NotPoints.Add(new Point(5, -6));
            Characters[71].NotPoints.Add(new Point(5, -5));
            Characters[71].Points.Add(new Point(5, -4));
            Characters[71].Points.Add(new Point(5, -3));
            Characters[71].Points.Add(new Point(5, -2));
            Characters[71].Points.Add(new Point(5, -1));
            Characters[71].NotPoints.Add(new Point(5, 0));

            Characters[72] = new Character();
            Characters[72].Increment = 5;
            Characters[72].Points.Add(new Point(0, -9));
            Characters[72].Points.Add(new Point(0, -8));
            Characters[72].Points.Add(new Point(0, -7));
            Characters[72].Points.Add(new Point(0, -6));
            Characters[72].Points.Add(new Point(0, -5));
            Characters[72].Points.Add(new Point(0, -4));
            Characters[72].Points.Add(new Point(0, -3));
            Characters[72].Points.Add(new Point(0, -2));
            Characters[72].Points.Add(new Point(0, -1));
            Characters[72].Points.Add(new Point(0, 0));
            Characters[72].NotPoints.Add(new Point(1, -9));
            Characters[72].NotPoints.Add(new Point(1, -8));
            Characters[72].NotPoints.Add(new Point(1, -7));
            Characters[72].NotPoints.Add(new Point(1, -6));
            Characters[72].Points.Add(new Point(1, -5));
            Characters[72].NotPoints.Add(new Point(1, -4));
            Characters[72].NotPoints.Add(new Point(1, -3));
            Characters[72].NotPoints.Add(new Point(1, -2));
            Characters[72].NotPoints.Add(new Point(1, -1));
            Characters[72].NotPoints.Add(new Point(1, 0));
            Characters[72].NotPoints.Add(new Point(2, -9));
            Characters[72].NotPoints.Add(new Point(2, -8));
            Characters[72].NotPoints.Add(new Point(2, -7));
            Characters[72].NotPoints.Add(new Point(2, -6));
            Characters[72].Points.Add(new Point(2, -5));
            Characters[72].NotPoints.Add(new Point(2, -4));
            Characters[72].NotPoints.Add(new Point(2, -3));
            Characters[72].NotPoints.Add(new Point(2, -2));
            Characters[72].NotPoints.Add(new Point(2, -1));
            Characters[72].NotPoints.Add(new Point(2, 0));
            Characters[72].NotPoints.Add(new Point(3, -9));
            Characters[72].NotPoints.Add(new Point(3, -8));
            Characters[72].NotPoints.Add(new Point(3, -7));
            Characters[72].NotPoints.Add(new Point(3, -6));
            Characters[72].Points.Add(new Point(3, -5));
            Characters[72].NotPoints.Add(new Point(3, -4));
            Characters[72].NotPoints.Add(new Point(3, -3));
            Characters[72].NotPoints.Add(new Point(3, -2));
            Characters[72].NotPoints.Add(new Point(3, -1));
            Characters[72].NotPoints.Add(new Point(3, 0));
            Characters[72].Points.Add(new Point(4, -9));
            Characters[72].Points.Add(new Point(4, -8));
            Characters[72].Points.Add(new Point(4, -7));
            Characters[72].Points.Add(new Point(4, -6));
            Characters[72].Points.Add(new Point(4, -5));
            Characters[72].Points.Add(new Point(4, -4));
            Characters[72].Points.Add(new Point(4, -3));
            Characters[72].Points.Add(new Point(4, -2));
            Characters[72].Points.Add(new Point(4, -1));
            Characters[72].Points.Add(new Point(4, 0));

            Characters[73] = new Character();
            Characters[73].Increment = 3;
            Characters[73].Points.Add(new Point(0, -9));
            Characters[73].NotPoints.Add(new Point(0, -8));
            Characters[73].NotPoints.Add(new Point(0, -7));
            Characters[73].NotPoints.Add(new Point(0, -6));
            Characters[73].NotPoints.Add(new Point(0, -5));
            Characters[73].NotPoints.Add(new Point(0, -4));
            Characters[73].NotPoints.Add(new Point(0, -3));
            Characters[73].NotPoints.Add(new Point(0, -2));
            Characters[73].NotPoints.Add(new Point(0, -1));
            Characters[73].Points.Add(new Point(0, 0));
            Characters[73].Points.Add(new Point(1, -9));
            Characters[73].Points.Add(new Point(1, -8));
            Characters[73].Points.Add(new Point(1, -7));
            Characters[73].Points.Add(new Point(1, -6));
            Characters[73].Points.Add(new Point(1, -5));
            Characters[73].Points.Add(new Point(1, -4));
            Characters[73].Points.Add(new Point(1, -3));
            Characters[73].Points.Add(new Point(1, -2));
            Characters[73].Points.Add(new Point(1, -1));
            Characters[73].Points.Add(new Point(1, 0));
            Characters[73].Points.Add(new Point(2, -9));
            Characters[73].NotPoints.Add(new Point(2, -8));
            Characters[73].NotPoints.Add(new Point(2, -7));
            Characters[73].NotPoints.Add(new Point(2, -6));
            Characters[73].NotPoints.Add(new Point(2, -5));
            Characters[73].NotPoints.Add(new Point(2, -4));
            Characters[73].NotPoints.Add(new Point(2, -3));
            Characters[73].NotPoints.Add(new Point(2, -2));
            Characters[73].NotPoints.Add(new Point(2, -1));
            Characters[73].Points.Add(new Point(2, 0));

            Characters[74] = new Character();
            Characters[74].Increment = 6;
            Characters[74].Points.Add(new Point(0, -9));
            Characters[74].NotPoints.Add(new Point(0, -8));
            Characters[74].NotPoints.Add(new Point(0, -7));
            Characters[74].NotPoints.Add(new Point(0, -6));
            Characters[74].NotPoints.Add(new Point(0, -5));
            Characters[74].NotPoints.Add(new Point(0, -4));
            Characters[74].NotPoints.Add(new Point(0, -3));
            Characters[74].Points.Add(new Point(0, -2));
            Characters[74].Points.Add(new Point(0, -1));
            Characters[74].NotPoints.Add(new Point(0, 0));
            Characters[74].Points.Add(new Point(1, -9));
            Characters[74].NotPoints.Add(new Point(1, -8));
            Characters[74].NotPoints.Add(new Point(1, -7));
            Characters[74].NotPoints.Add(new Point(1, -6));
            Characters[74].NotPoints.Add(new Point(1, -5));
            Characters[74].NotPoints.Add(new Point(1, -4));
            Characters[74].NotPoints.Add(new Point(1, -3));
            Characters[74].NotPoints.Add(new Point(1, -2));
            Characters[74].NotPoints.Add(new Point(1, -1));
            Characters[74].Points.Add(new Point(1, 0));
            Characters[74].Points.Add(new Point(2, -9));
            Characters[74].NotPoints.Add(new Point(2, -8));
            Characters[74].NotPoints.Add(new Point(2, -7));
            Characters[74].NotPoints.Add(new Point(2, -6));
            Characters[74].NotPoints.Add(new Point(2, -5));
            Characters[74].NotPoints.Add(new Point(2, -4));
            Characters[74].NotPoints.Add(new Point(2, -3));
            Characters[74].NotPoints.Add(new Point(2, -2));
            Characters[74].NotPoints.Add(new Point(2, -1));
            Characters[74].Points.Add(new Point(2, 0));
            Characters[74].Points.Add(new Point(3, -9));
            Characters[74].Points.Add(new Point(3, -8));
            Characters[74].Points.Add(new Point(3, -7));
            Characters[74].Points.Add(new Point(3, -6));
            Characters[74].Points.Add(new Point(3, -5));
            Characters[74].Points.Add(new Point(3, -4));
            Characters[74].Points.Add(new Point(3, -3));
            Characters[74].Points.Add(new Point(3, -2));
            Characters[74].Points.Add(new Point(3, -1));
            Characters[74].NotPoints.Add(new Point(3, 0));
            Characters[74].Points.Add(new Point(4, -9));
            Characters[74].NotPoints.Add(new Point(4, -8));
            Characters[74].NotPoints.Add(new Point(4, -7));
            Characters[74].NotPoints.Add(new Point(4, -6));
            Characters[74].NotPoints.Add(new Point(4, -5));
            Characters[74].NotPoints.Add(new Point(4, -4));
            Characters[74].NotPoints.Add(new Point(4, -3));
            Characters[74].NotPoints.Add(new Point(4, -2));
            Characters[74].NotPoints.Add(new Point(4, -1));
            Characters[74].NotPoints.Add(new Point(4, 0));
            Characters[74].Points.Add(new Point(5, -9));
            Characters[74].NotPoints.Add(new Point(5, -8));
            Characters[74].NotPoints.Add(new Point(5, -7));
            Characters[74].NotPoints.Add(new Point(5, -6));
            Characters[74].NotPoints.Add(new Point(5, -5));
            Characters[74].NotPoints.Add(new Point(5, -4));
            Characters[74].NotPoints.Add(new Point(5, -3));
            Characters[74].NotPoints.Add(new Point(5, -2));
            Characters[74].NotPoints.Add(new Point(5, -1));
            Characters[74].NotPoints.Add(new Point(5, 0));

            Characters[75] = new Character();
            Characters[75].Increment = 6;
            Characters[75].Points.Add(new Point(0, -9));
            Characters[75].Points.Add(new Point(0, -8));
            Characters[75].Points.Add(new Point(0, -7));
            Characters[75].Points.Add(new Point(0, -6));
            Characters[75].Points.Add(new Point(0, -5));
            Characters[75].Points.Add(new Point(0, -4));
            Characters[75].Points.Add(new Point(0, -3));
            Characters[75].Points.Add(new Point(0, -2));
            Characters[75].Points.Add(new Point(0, -1));
            Characters[75].Points.Add(new Point(0, 0));
            Characters[75].NotPoints.Add(new Point(1, -9));
            Characters[75].NotPoints.Add(new Point(1, -8));
            Characters[75].NotPoints.Add(new Point(1, -7));
            Characters[75].Points.Add(new Point(1, -6));
            Characters[75].NotPoints.Add(new Point(1, -5));
            Characters[75].Points.Add(new Point(1, -4));
            Characters[75].NotPoints.Add(new Point(1, -3));
            Characters[75].NotPoints.Add(new Point(1, -2));
            Characters[75].NotPoints.Add(new Point(1, -1));
            Characters[75].NotPoints.Add(new Point(1, 0));
            Characters[75].NotPoints.Add(new Point(2, -9));
            Characters[75].NotPoints.Add(new Point(2, -8));
            Characters[75].Points.Add(new Point(2, -7));
            Characters[75].NotPoints.Add(new Point(2, -6));
            Characters[75].NotPoints.Add(new Point(2, -5));
            Characters[75].NotPoints.Add(new Point(2, -4));
            Characters[75].Points.Add(new Point(2, -3));
            Characters[75].NotPoints.Add(new Point(2, -2));
            Characters[75].NotPoints.Add(new Point(2, -1));
            Characters[75].NotPoints.Add(new Point(2, 0));
            Characters[75].NotPoints.Add(new Point(3, -9));
            Characters[75].Points.Add(new Point(3, -8));
            Characters[75].NotPoints.Add(new Point(3, -7));
            Characters[75].NotPoints.Add(new Point(3, -6));
            Characters[75].NotPoints.Add(new Point(3, -5));
            Characters[75].NotPoints.Add(new Point(3, -4));
            Characters[75].NotPoints.Add(new Point(3, -3));
            Characters[75].Points.Add(new Point(3, -2));
            Characters[75].NotPoints.Add(new Point(3, -1));
            Characters[75].NotPoints.Add(new Point(3, 0));
            Characters[75].Points.Add(new Point(4, -9));
            Characters[75].NotPoints.Add(new Point(4, -8));
            Characters[75].NotPoints.Add(new Point(4, -7));
            Characters[75].NotPoints.Add(new Point(4, -6));
            Characters[75].NotPoints.Add(new Point(4, -5));
            Characters[75].NotPoints.Add(new Point(4, -4));
            Characters[75].NotPoints.Add(new Point(4, -3));
            Characters[75].NotPoints.Add(new Point(4, -2));
            Characters[75].Points.Add(new Point(4, -1));
            Characters[75].NotPoints.Add(new Point(4, 0));
            Characters[75].NotPoints.Add(new Point(5, -9));
            Characters[75].NotPoints.Add(new Point(5, -8));
            Characters[75].NotPoints.Add(new Point(5, -7));
            Characters[75].NotPoints.Add(new Point(5, -6));
            Characters[75].NotPoints.Add(new Point(5, -5));
            Characters[75].NotPoints.Add(new Point(5, -4));
            Characters[75].NotPoints.Add(new Point(5, -3));
            Characters[75].NotPoints.Add(new Point(5, -2));
            Characters[75].NotPoints.Add(new Point(5, -1));
            Characters[75].Points.Add(new Point(5, 0));

            Characters[76] = new Character();
            Characters[76].Increment = 5;
            Characters[76].Points.Add(new Point(0, -9));
            Characters[76].Points.Add(new Point(0, -8));
            Characters[76].Points.Add(new Point(0, -7));
            Characters[76].Points.Add(new Point(0, -6));
            Characters[76].Points.Add(new Point(0, -5));
            Characters[76].Points.Add(new Point(0, -4));
            Characters[76].Points.Add(new Point(0, -3));
            Characters[76].Points.Add(new Point(0, -2));
            Characters[76].Points.Add(new Point(0, -1));
            Characters[76].Points.Add(new Point(0, 0));
            Characters[76].NotPoints.Add(new Point(1, -9));
            Characters[76].NotPoints.Add(new Point(1, -8));
            Characters[76].NotPoints.Add(new Point(1, -7));
            Characters[76].NotPoints.Add(new Point(1, -6));
            Characters[76].NotPoints.Add(new Point(1, -5));
            Characters[76].NotPoints.Add(new Point(1, -4));
            Characters[76].NotPoints.Add(new Point(1, -3));
            Characters[76].NotPoints.Add(new Point(1, -2));
            Characters[76].NotPoints.Add(new Point(1, -1));
            Characters[76].Points.Add(new Point(1, 0));
            Characters[76].NotPoints.Add(new Point(2, -9));
            Characters[76].NotPoints.Add(new Point(2, -8));
            Characters[76].NotPoints.Add(new Point(2, -7));
            Characters[76].NotPoints.Add(new Point(2, -6));
            Characters[76].NotPoints.Add(new Point(2, -5));
            Characters[76].NotPoints.Add(new Point(2, -4));
            Characters[76].NotPoints.Add(new Point(2, -3));
            Characters[76].NotPoints.Add(new Point(2, -2));
            Characters[76].NotPoints.Add(new Point(2, -1));
            Characters[76].Points.Add(new Point(2, 0));
            Characters[76].NotPoints.Add(new Point(3, -9));
            Characters[76].NotPoints.Add(new Point(3, -8));
            Characters[76].NotPoints.Add(new Point(3, -7));
            Characters[76].NotPoints.Add(new Point(3, -6));
            Characters[76].NotPoints.Add(new Point(3, -5));
            Characters[76].NotPoints.Add(new Point(3, -4));
            Characters[76].NotPoints.Add(new Point(3, -3));
            Characters[76].NotPoints.Add(new Point(3, -2));
            Characters[76].NotPoints.Add(new Point(3, -1));
            Characters[76].Points.Add(new Point(3, 0));
            Characters[76].NotPoints.Add(new Point(4, -9));
            Characters[76].NotPoints.Add(new Point(4, -8));
            Characters[76].NotPoints.Add(new Point(4, -7));
            Characters[76].NotPoints.Add(new Point(4, -6));
            Characters[76].NotPoints.Add(new Point(4, -5));
            Characters[76].NotPoints.Add(new Point(4, -4));
            Characters[76].NotPoints.Add(new Point(4, -3));
            Characters[76].NotPoints.Add(new Point(4, -2));
            Characters[76].NotPoints.Add(new Point(4, -1));
            Characters[76].Points.Add(new Point(4, 0));

            Characters[77] = new Character();
            Characters[77].Increment = 7;
            Characters[77].Points.Add(new Point(0, -9));
            Characters[77].Points.Add(new Point(0, -8));
            Characters[77].Points.Add(new Point(0, -7));
            Characters[77].Points.Add(new Point(0, -6));
            Characters[77].Points.Add(new Point(0, -5));
            Characters[77].Points.Add(new Point(0, -4));
            Characters[77].Points.Add(new Point(0, -3));
            Characters[77].Points.Add(new Point(0, -2));
            Characters[77].Points.Add(new Point(0, -1));
            Characters[77].Points.Add(new Point(0, 0));
            Characters[77].NotPoints.Add(new Point(1, -9));
            Characters[77].NotPoints.Add(new Point(1, -8));
            Characters[77].Points.Add(new Point(1, -7));
            Characters[77].NotPoints.Add(new Point(1, -6));
            Characters[77].NotPoints.Add(new Point(1, -5));
            Characters[77].NotPoints.Add(new Point(1, -4));
            Characters[77].NotPoints.Add(new Point(1, -3));
            Characters[77].NotPoints.Add(new Point(1, -2));
            Characters[77].NotPoints.Add(new Point(1, -1));
            Characters[77].NotPoints.Add(new Point(1, 0));
            Characters[77].NotPoints.Add(new Point(2, -9));
            Characters[77].NotPoints.Add(new Point(2, -8));
            Characters[77].NotPoints.Add(new Point(2, -7));
            Characters[77].Points.Add(new Point(2, -6));
            Characters[77].NotPoints.Add(new Point(2, -5));
            Characters[77].NotPoints.Add(new Point(2, -4));
            Characters[77].NotPoints.Add(new Point(2, -3));
            Characters[77].NotPoints.Add(new Point(2, -2));
            Characters[77].NotPoints.Add(new Point(2, -1));
            Characters[77].NotPoints.Add(new Point(2, 0));
            Characters[77].NotPoints.Add(new Point(3, -9));
            Characters[77].NotPoints.Add(new Point(3, -8));
            Characters[77].NotPoints.Add(new Point(3, -7));
            Characters[77].NotPoints.Add(new Point(3, -6));
            Characters[77].Points.Add(new Point(3, -5));
            Characters[77].NotPoints.Add(new Point(3, -4));
            Characters[77].NotPoints.Add(new Point(3, -3));
            Characters[77].NotPoints.Add(new Point(3, -2));
            Characters[77].NotPoints.Add(new Point(3, -1));
            Characters[77].NotPoints.Add(new Point(3, 0));
            Characters[77].NotPoints.Add(new Point(4, -9));
            Characters[77].NotPoints.Add(new Point(4, -8));
            Characters[77].NotPoints.Add(new Point(4, -7));
            Characters[77].Points.Add(new Point(4, -6));
            Characters[77].NotPoints.Add(new Point(4, -5));
            Characters[77].NotPoints.Add(new Point(4, -4));
            Characters[77].NotPoints.Add(new Point(4, -3));
            Characters[77].NotPoints.Add(new Point(4, -2));
            Characters[77].NotPoints.Add(new Point(4, -1));
            Characters[77].NotPoints.Add(new Point(4, 0));
            Characters[77].NotPoints.Add(new Point(5, -9));
            Characters[77].NotPoints.Add(new Point(5, -8));
            Characters[77].Points.Add(new Point(5, -7));
            Characters[77].NotPoints.Add(new Point(5, -6));
            Characters[77].NotPoints.Add(new Point(5, -5));
            Characters[77].NotPoints.Add(new Point(5, -4));
            Characters[77].NotPoints.Add(new Point(5, -3));
            Characters[77].NotPoints.Add(new Point(5, -2));
            Characters[77].NotPoints.Add(new Point(5, -1));
            Characters[77].NotPoints.Add(new Point(5, 0));
            Characters[77].Points.Add(new Point(6, -9));
            Characters[77].Points.Add(new Point(6, -8));
            Characters[77].Points.Add(new Point(6, -7));
            Characters[77].Points.Add(new Point(6, -6));
            Characters[77].Points.Add(new Point(6, -5));
            Characters[77].Points.Add(new Point(6, -4));
            Characters[77].Points.Add(new Point(6, -3));
            Characters[77].Points.Add(new Point(6, -2));
            Characters[77].Points.Add(new Point(6, -1));
            Characters[77].Points.Add(new Point(6, 0));

            Characters[78] = new Character();
            Characters[78].Increment = 6;
            Characters[78].Points.Add(new Point(0, -9));
            Characters[78].Points.Add(new Point(0, -8));
            Characters[78].Points.Add(new Point(0, -7));
            Characters[78].Points.Add(new Point(0, -6));
            Characters[78].Points.Add(new Point(0, -5));
            Characters[78].Points.Add(new Point(0, -4));
            Characters[78].Points.Add(new Point(0, -3));
            Characters[78].Points.Add(new Point(0, -2));
            Characters[78].Points.Add(new Point(0, -1));
            Characters[78].Points.Add(new Point(0, 0));
            Characters[78].NotPoints.Add(new Point(1, -9));
            Characters[78].Points.Add(new Point(1, -8));
            Characters[78].NotPoints.Add(new Point(1, -7));
            Characters[78].NotPoints.Add(new Point(1, -6));
            Characters[78].NotPoints.Add(new Point(1, -5));
            Characters[78].NotPoints.Add(new Point(1, -4));
            Characters[78].NotPoints.Add(new Point(1, -3));
            Characters[78].NotPoints.Add(new Point(1, -2));
            Characters[78].NotPoints.Add(new Point(1, -1));
            Characters[78].NotPoints.Add(new Point(1, 0));
            Characters[78].NotPoints.Add(new Point(2, -9));
            Characters[78].NotPoints.Add(new Point(2, -8));
            Characters[78].Points.Add(new Point(2, -7));
            Characters[78].Points.Add(new Point(2, -6));
            Characters[78].NotPoints.Add(new Point(2, -5));
            Characters[78].NotPoints.Add(new Point(2, -4));
            Characters[78].NotPoints.Add(new Point(2, -3));
            Characters[78].NotPoints.Add(new Point(2, -2));
            Characters[78].NotPoints.Add(new Point(2, -1));
            Characters[78].NotPoints.Add(new Point(2, 0));
            Characters[78].NotPoints.Add(new Point(3, -9));
            Characters[78].NotPoints.Add(new Point(3, -8));
            Characters[78].NotPoints.Add(new Point(3, -7));
            Characters[78].NotPoints.Add(new Point(3, -6));
            Characters[78].Points.Add(new Point(3, -5));
            Characters[78].Points.Add(new Point(3, -4));
            Characters[78].Points.Add(new Point(3, -3));
            Characters[78].NotPoints.Add(new Point(3, -2));
            Characters[78].NotPoints.Add(new Point(3, -1));
            Characters[78].NotPoints.Add(new Point(3, 0));
            Characters[78].NotPoints.Add(new Point(4, -9));
            Characters[78].NotPoints.Add(new Point(4, -8));
            Characters[78].NotPoints.Add(new Point(4, -7));
            Characters[78].NotPoints.Add(new Point(4, -6));
            Characters[78].NotPoints.Add(new Point(4, -5));
            Characters[78].NotPoints.Add(new Point(4, -4));
            Characters[78].NotPoints.Add(new Point(4, -3));
            Characters[78].Points.Add(new Point(4, -2));
            Characters[78].Points.Add(new Point(4, -1));
            Characters[78].NotPoints.Add(new Point(4, 0));
            Characters[78].Points.Add(new Point(5, -9));
            Characters[78].Points.Add(new Point(5, -8));
            Characters[78].Points.Add(new Point(5, -7));
            Characters[78].Points.Add(new Point(5, -6));
            Characters[78].Points.Add(new Point(5, -5));
            Characters[78].Points.Add(new Point(5, -4));
            Characters[78].Points.Add(new Point(5, -3));
            Characters[78].Points.Add(new Point(5, -2));
            Characters[78].Points.Add(new Point(5, -1));
            Characters[78].Points.Add(new Point(5, 0));

            Characters[79] = new Character();
            Characters[79].Increment = 6;
            Characters[79].NotPoints.Add(new Point(0, -9));
            Characters[79].NotPoints.Add(new Point(0, -8));
            Characters[79].Points.Add(new Point(0, -7));
            Characters[79].Points.Add(new Point(0, -6));
            Characters[79].Points.Add(new Point(0, -5));
            Characters[79].Points.Add(new Point(0, -4));
            Characters[79].Points.Add(new Point(0, -3));
            Characters[79].Points.Add(new Point(0, -2));
            Characters[79].NotPoints.Add(new Point(0, -1));
            Characters[79].NotPoints.Add(new Point(0, 0));
            Characters[79].NotPoints.Add(new Point(1, -9));
            Characters[79].Points.Add(new Point(1, -8));
            Characters[79].NotPoints.Add(new Point(1, -7));
            Characters[79].NotPoints.Add(new Point(1, -6));
            Characters[79].NotPoints.Add(new Point(1, -5));
            Characters[79].NotPoints.Add(new Point(1, -4));
            Characters[79].NotPoints.Add(new Point(1, -3));
            Characters[79].NotPoints.Add(new Point(1, -2));
            Characters[79].Points.Add(new Point(1, -1));
            Characters[79].NotPoints.Add(new Point(1, 0));
            Characters[79].Points.Add(new Point(2, -9));
            Characters[79].NotPoints.Add(new Point(2, -8));
            Characters[79].NotPoints.Add(new Point(2, -7));
            Characters[79].NotPoints.Add(new Point(2, -6));
            Characters[79].NotPoints.Add(new Point(2, -5));
            Characters[79].NotPoints.Add(new Point(2, -4));
            Characters[79].NotPoints.Add(new Point(2, -3));
            Characters[79].NotPoints.Add(new Point(2, -2));
            Characters[79].NotPoints.Add(new Point(2, -1));
            Characters[79].Points.Add(new Point(2, 0));
            Characters[79].Points.Add(new Point(3, -9));
            Characters[79].NotPoints.Add(new Point(3, -8));
            Characters[79].NotPoints.Add(new Point(3, -7));
            Characters[79].NotPoints.Add(new Point(3, -6));
            Characters[79].NotPoints.Add(new Point(3, -5));
            Characters[79].NotPoints.Add(new Point(3, -4));
            Characters[79].NotPoints.Add(new Point(3, -3));
            Characters[79].NotPoints.Add(new Point(3, -2));
            Characters[79].NotPoints.Add(new Point(3, -1));
            Characters[79].Points.Add(new Point(3, 0));
            Characters[79].NotPoints.Add(new Point(4, -9));
            Characters[79].Points.Add(new Point(4, -8));
            Characters[79].NotPoints.Add(new Point(4, -7));
            Characters[79].NotPoints.Add(new Point(4, -6));
            Characters[79].NotPoints.Add(new Point(4, -5));
            Characters[79].NotPoints.Add(new Point(4, -4));
            Characters[79].NotPoints.Add(new Point(4, -3));
            Characters[79].NotPoints.Add(new Point(4, -2));
            Characters[79].Points.Add(new Point(4, -1));
            Characters[79].NotPoints.Add(new Point(4, 0));
            Characters[79].NotPoints.Add(new Point(5, -9));
            Characters[79].NotPoints.Add(new Point(5, -8));
            Characters[79].Points.Add(new Point(5, -7));
            Characters[79].Points.Add(new Point(5, -6));
            Characters[79].Points.Add(new Point(5, -5));
            Characters[79].Points.Add(new Point(5, -4));
            Characters[79].Points.Add(new Point(5, -3));
            Characters[79].Points.Add(new Point(5, -2));
            Characters[79].NotPoints.Add(new Point(5, -1));
            Characters[79].NotPoints.Add(new Point(5, 0));

            Characters[80] = new Character();
            Characters[80].Increment = 5;
            Characters[80].Points.Add(new Point(0, -9));
            Characters[80].Points.Add(new Point(0, -8));
            Characters[80].Points.Add(new Point(0, -7));
            Characters[80].Points.Add(new Point(0, -6));
            Characters[80].Points.Add(new Point(0, -5));
            Characters[80].Points.Add(new Point(0, -4));
            Characters[80].Points.Add(new Point(0, -3));
            Characters[80].Points.Add(new Point(0, -2));
            Characters[80].Points.Add(new Point(0, -1));
            Characters[80].Points.Add(new Point(0, 0));
            Characters[80].Points.Add(new Point(1, -9));
            Characters[80].NotPoints.Add(new Point(1, -8));
            Characters[80].NotPoints.Add(new Point(1, -7));
            Characters[80].NotPoints.Add(new Point(1, -6));
            Characters[80].NotPoints.Add(new Point(1, -5));
            Characters[80].Points.Add(new Point(1, -4));
            Characters[80].NotPoints.Add(new Point(1, -3));
            Characters[80].NotPoints.Add(new Point(1, -2));
            Characters[80].NotPoints.Add(new Point(1, -1));
            Characters[80].NotPoints.Add(new Point(1, 0));
            Characters[80].Points.Add(new Point(2, -9));
            Characters[80].NotPoints.Add(new Point(2, -8));
            Characters[80].NotPoints.Add(new Point(2, -7));
            Characters[80].NotPoints.Add(new Point(2, -6));
            Characters[80].NotPoints.Add(new Point(2, -5));
            Characters[80].Points.Add(new Point(2, -4));
            Characters[80].NotPoints.Add(new Point(2, -3));
            Characters[80].NotPoints.Add(new Point(2, -2));
            Characters[80].NotPoints.Add(new Point(2, -1));
            Characters[80].NotPoints.Add(new Point(2, 0));
            Characters[80].NotPoints.Add(new Point(3, -9));
            Characters[80].Points.Add(new Point(3, -8));
            Characters[80].NotPoints.Add(new Point(3, -7));
            Characters[80].NotPoints.Add(new Point(3, -6));
            Characters[80].Points.Add(new Point(3, -5));
            Characters[80].NotPoints.Add(new Point(3, -4));
            Characters[80].NotPoints.Add(new Point(3, -3));
            Characters[80].NotPoints.Add(new Point(3, -2));
            Characters[80].NotPoints.Add(new Point(3, -1));
            Characters[80].NotPoints.Add(new Point(3, 0));
            Characters[80].NotPoints.Add(new Point(4, -9));
            Characters[80].NotPoints.Add(new Point(4, -8));
            Characters[80].Points.Add(new Point(4, -7));
            Characters[80].Points.Add(new Point(4, -6));
            Characters[80].NotPoints.Add(new Point(4, -5));
            Characters[80].NotPoints.Add(new Point(4, -4));
            Characters[80].NotPoints.Add(new Point(4, -3));
            Characters[80].NotPoints.Add(new Point(4, -2));
            Characters[80].NotPoints.Add(new Point(4, -1));
            Characters[80].NotPoints.Add(new Point(4, 0));

            Characters[81] = new Character();
            Characters[81].Increment = 6;
            Characters[81].NotPoints.Add(new Point(0, -9));
            Characters[81].NotPoints.Add(new Point(0, -8));
            Characters[81].Points.Add(new Point(0, -7));
            Characters[81].Points.Add(new Point(0, -6));
            Characters[81].Points.Add(new Point(0, -5));
            Characters[81].Points.Add(new Point(0, -4));
            Characters[81].Points.Add(new Point(0, -3));
            Characters[81].Points.Add(new Point(0, -2));
            Characters[81].NotPoints.Add(new Point(0, -1));
            Characters[81].NotPoints.Add(new Point(0, 0));
            Characters[81].NotPoints.Add(new Point(1, -9));
            Characters[81].Points.Add(new Point(1, -8));
            Characters[81].NotPoints.Add(new Point(1, -7));
            Characters[81].NotPoints.Add(new Point(1, -6));
            Characters[81].NotPoints.Add(new Point(1, -5));
            Characters[81].NotPoints.Add(new Point(1, -4));
            Characters[81].NotPoints.Add(new Point(1, -3));
            Characters[81].NotPoints.Add(new Point(1, -2));
            Characters[81].Points.Add(new Point(1, -1));
            Characters[81].NotPoints.Add(new Point(1, 0));
            Characters[81].Points.Add(new Point(2, -9));
            Characters[81].NotPoints.Add(new Point(2, -8));
            Characters[81].NotPoints.Add(new Point(2, -7));
            Characters[81].NotPoints.Add(new Point(2, -6));
            Characters[81].NotPoints.Add(new Point(2, -5));
            Characters[81].NotPoints.Add(new Point(2, -4));
            Characters[81].Points.Add(new Point(2, -3));
            Characters[81].NotPoints.Add(new Point(2, -2));
            Characters[81].NotPoints.Add(new Point(2, -1));
            Characters[81].Points.Add(new Point(2, 0));
            Characters[81].Points.Add(new Point(3, -9));
            Characters[81].NotPoints.Add(new Point(3, -8));
            Characters[81].NotPoints.Add(new Point(3, -7));
            Characters[81].NotPoints.Add(new Point(3, -6));
            Characters[81].NotPoints.Add(new Point(3, -5));
            Characters[81].NotPoints.Add(new Point(3, -4));
            Characters[81].NotPoints.Add(new Point(3, -3));
            Characters[81].Points.Add(new Point(3, -2));
            Characters[81].NotPoints.Add(new Point(3, -1));
            Characters[81].Points.Add(new Point(3, 0));
            Characters[81].NotPoints.Add(new Point(4, -9));
            Characters[81].Points.Add(new Point(4, -8));
            Characters[81].NotPoints.Add(new Point(4, -7));
            Characters[81].NotPoints.Add(new Point(4, -6));
            Characters[81].NotPoints.Add(new Point(4, -5));
            Characters[81].NotPoints.Add(new Point(4, -4));
            Characters[81].NotPoints.Add(new Point(4, -3));
            Characters[81].NotPoints.Add(new Point(4, -2));
            Characters[81].Points.Add(new Point(4, -1));
            Characters[81].NotPoints.Add(new Point(4, 0));
            Characters[81].NotPoints.Add(new Point(5, -9));
            Characters[81].NotPoints.Add(new Point(5, -8));
            Characters[81].Points.Add(new Point(5, -7));
            Characters[81].Points.Add(new Point(5, -6));
            Characters[81].Points.Add(new Point(5, -5));
            Characters[81].Points.Add(new Point(5, -4));
            Characters[81].Points.Add(new Point(5, -3));
            Characters[81].Points.Add(new Point(5, -2));
            Characters[81].NotPoints.Add(new Point(5, -1));
            Characters[81].Points.Add(new Point(5, 0));

            Characters[82] = new Character();
            Characters[82].Increment = 5;
            Characters[82].Points.Add(new Point(0, -9));
            Characters[82].Points.Add(new Point(0, -8));
            Characters[82].Points.Add(new Point(0, -7));
            Characters[82].Points.Add(new Point(0, -6));
            Characters[82].Points.Add(new Point(0, -5));
            Characters[82].Points.Add(new Point(0, -4));
            Characters[82].Points.Add(new Point(0, -3));
            Characters[82].Points.Add(new Point(0, -2));
            Characters[82].Points.Add(new Point(0, -1));
            Characters[82].Points.Add(new Point(0, 0));
            Characters[82].Points.Add(new Point(1, -9));
            Characters[82].NotPoints.Add(new Point(1, -8));
            Characters[82].NotPoints.Add(new Point(1, -7));
            Characters[82].NotPoints.Add(new Point(1, -6));
            Characters[82].NotPoints.Add(new Point(1, -5));
            Characters[82].Points.Add(new Point(1, -4));
            Characters[82].NotPoints.Add(new Point(1, -3));
            Characters[82].NotPoints.Add(new Point(1, -2));
            Characters[82].NotPoints.Add(new Point(1, -1));
            Characters[82].NotPoints.Add(new Point(1, 0));
            Characters[82].Points.Add(new Point(2, -9));
            Characters[82].NotPoints.Add(new Point(2, -8));
            Characters[82].NotPoints.Add(new Point(2, -7));
            Characters[82].NotPoints.Add(new Point(2, -6));
            Characters[82].NotPoints.Add(new Point(2, -5));
            Characters[82].Points.Add(new Point(2, -4));
            Characters[82].Points.Add(new Point(2, -3));
            Characters[82].NotPoints.Add(new Point(2, -2));
            Characters[82].NotPoints.Add(new Point(2, -1));
            Characters[82].NotPoints.Add(new Point(2, 0));
            Characters[82].Points.Add(new Point(3, -9));
            Characters[82].NotPoints.Add(new Point(3, -8));
            Characters[82].NotPoints.Add(new Point(3, -7));
            Characters[82].NotPoints.Add(new Point(3, -6));
            Characters[82].Points.Add(new Point(3, -5));
            Characters[82].NotPoints.Add(new Point(3, -4));
            Characters[82].NotPoints.Add(new Point(3, -3));
            Characters[82].Points.Add(new Point(3, -2));
            Characters[82].NotPoints.Add(new Point(3, -1));
            Characters[82].NotPoints.Add(new Point(3, 0));
            Characters[82].NotPoints.Add(new Point(4, -9));
            Characters[82].Points.Add(new Point(4, -8));
            Characters[82].Points.Add(new Point(4, -7));
            Characters[82].Points.Add(new Point(4, -6));
            Characters[82].NotPoints.Add(new Point(4, -5));
            Characters[82].NotPoints.Add(new Point(4, -4));
            Characters[82].NotPoints.Add(new Point(4, -3));
            Characters[82].NotPoints.Add(new Point(4, -2));
            Characters[82].Points.Add(new Point(4, -1));
            Characters[82].Points.Add(new Point(4, 0));

            Characters[83] = new Character();
            Characters[83].Increment = 5;
            Characters[83].NotPoints.Add(new Point(0, -9));
            Characters[83].NotPoints.Add(new Point(0, -8));
            Characters[83].Points.Add(new Point(0, -7));
            Characters[83].NotPoints.Add(new Point(0, -6));
            Characters[83].NotPoints.Add(new Point(0, -5));
            Characters[83].NotPoints.Add(new Point(0, -4));
            Characters[83].NotPoints.Add(new Point(0, -3));
            Characters[83].NotPoints.Add(new Point(0, -2));
            Characters[83].Points.Add(new Point(0, -1));
            Characters[83].NotPoints.Add(new Point(0, 0));
            Characters[83].NotPoints.Add(new Point(1, -9));
            Characters[83].Points.Add(new Point(1, -8));
            Characters[83].NotPoints.Add(new Point(1, -7));
            Characters[83].Points.Add(new Point(1, -6));
            Characters[83].NotPoints.Add(new Point(1, -5));
            Characters[83].NotPoints.Add(new Point(1, -4));
            Characters[83].NotPoints.Add(new Point(1, -3));
            Characters[83].NotPoints.Add(new Point(1, -2));
            Characters[83].NotPoints.Add(new Point(1, -1));
            Characters[83].Points.Add(new Point(1, 0));
            Characters[83].Points.Add(new Point(2, -9));
            Characters[83].NotPoints.Add(new Point(2, -8));
            Characters[83].NotPoints.Add(new Point(2, -7));
            Characters[83].NotPoints.Add(new Point(2, -6));
            Characters[83].Points.Add(new Point(2, -5));
            Characters[83].NotPoints.Add(new Point(2, -4));
            Characters[83].NotPoints.Add(new Point(2, -3));
            Characters[83].NotPoints.Add(new Point(2, -2));
            Characters[83].NotPoints.Add(new Point(2, -1));
            Characters[83].Points.Add(new Point(2, 0));
            Characters[83].Points.Add(new Point(3, -9));
            Characters[83].NotPoints.Add(new Point(3, -8));
            Characters[83].NotPoints.Add(new Point(3, -7));
            Characters[83].NotPoints.Add(new Point(3, -6));
            Characters[83].NotPoints.Add(new Point(3, -5));
            Characters[83].Points.Add(new Point(3, -4));
            Characters[83].NotPoints.Add(new Point(3, -3));
            Characters[83].NotPoints.Add(new Point(3, -2));
            Characters[83].Points.Add(new Point(3, -1));
            Characters[83].NotPoints.Add(new Point(3, 0));
            Characters[83].NotPoints.Add(new Point(4, -9));
            Characters[83].Points.Add(new Point(4, -8));
            Characters[83].NotPoints.Add(new Point(4, -7));
            Characters[83].NotPoints.Add(new Point(4, -6));
            Characters[83].NotPoints.Add(new Point(4, -5));
            Characters[83].NotPoints.Add(new Point(4, -4));
            Characters[83].Points.Add(new Point(4, -3));
            Characters[83].Points.Add(new Point(4, -2));
            Characters[83].NotPoints.Add(new Point(4, -1));
            Characters[83].NotPoints.Add(new Point(4, 0));

            Characters[84] = new Character();
            Characters[84].Increment = 5;
            Characters[84].Points.Add(new Point(0, -9));
            Characters[84].NotPoints.Add(new Point(0, -8));
            Characters[84].NotPoints.Add(new Point(0, -7));
            Characters[84].NotPoints.Add(new Point(0, -6));
            Characters[84].NotPoints.Add(new Point(0, -5));
            Characters[84].NotPoints.Add(new Point(0, -4));
            Characters[84].NotPoints.Add(new Point(0, -3));
            Characters[84].NotPoints.Add(new Point(0, -2));
            Characters[84].NotPoints.Add(new Point(0, -1));
            Characters[84].NotPoints.Add(new Point(0, 0));
            Characters[84].Points.Add(new Point(1, -9));
            Characters[84].NotPoints.Add(new Point(1, -8));
            Characters[84].NotPoints.Add(new Point(1, -7));
            Characters[84].NotPoints.Add(new Point(1, -6));
            Characters[84].NotPoints.Add(new Point(1, -5));
            Characters[84].NotPoints.Add(new Point(1, -4));
            Characters[84].NotPoints.Add(new Point(1, -3));
            Characters[84].NotPoints.Add(new Point(1, -2));
            Characters[84].NotPoints.Add(new Point(1, -1));
            Characters[84].NotPoints.Add(new Point(1, 0));
            Characters[84].Points.Add(new Point(2, -9));
            Characters[84].Points.Add(new Point(2, -8));
            Characters[84].Points.Add(new Point(2, -7));
            Characters[84].Points.Add(new Point(2, -6));
            Characters[84].Points.Add(new Point(2, -5));
            Characters[84].Points.Add(new Point(2, -4));
            Characters[84].Points.Add(new Point(2, -3));
            Characters[84].Points.Add(new Point(2, -2));
            Characters[84].Points.Add(new Point(2, -1));
            Characters[84].Points.Add(new Point(2, 0));
            Characters[84].Points.Add(new Point(3, -9));
            Characters[84].NotPoints.Add(new Point(3, -8));
            Characters[84].NotPoints.Add(new Point(3, -7));
            Characters[84].NotPoints.Add(new Point(3, -6));
            Characters[84].NotPoints.Add(new Point(3, -5));
            Characters[84].NotPoints.Add(new Point(3, -4));
            Characters[84].NotPoints.Add(new Point(3, -3));
            Characters[84].NotPoints.Add(new Point(3, -2));
            Characters[84].NotPoints.Add(new Point(3, -1));
            Characters[84].NotPoints.Add(new Point(3, 0));
            Characters[84].Points.Add(new Point(4, -9));
            Characters[84].NotPoints.Add(new Point(4, -8));
            Characters[84].NotPoints.Add(new Point(4, -7));
            Characters[84].NotPoints.Add(new Point(4, -6));
            Characters[84].NotPoints.Add(new Point(4, -5));
            Characters[84].NotPoints.Add(new Point(4, -4));
            Characters[84].NotPoints.Add(new Point(4, -3));
            Characters[84].NotPoints.Add(new Point(4, -2));
            Characters[84].NotPoints.Add(new Point(4, -1));
            Characters[84].NotPoints.Add(new Point(4, 0));

            Characters[85] = new Character();
            Characters[85].Increment = 6;
            Characters[85].Points.Add(new Point(0, -9));
            Characters[85].Points.Add(new Point(0, -8));
            Characters[85].Points.Add(new Point(0, -7));
            Characters[85].Points.Add(new Point(0, -6));
            Characters[85].Points.Add(new Point(0, -5));
            Characters[85].Points.Add(new Point(0, -4));
            Characters[85].Points.Add(new Point(0, -3));
            Characters[85].Points.Add(new Point(0, -2));
            Characters[85].NotPoints.Add(new Point(0, -1));
            Characters[85].NotPoints.Add(new Point(0, 0));
            Characters[85].NotPoints.Add(new Point(1, -9));
            Characters[85].NotPoints.Add(new Point(1, -8));
            Characters[85].NotPoints.Add(new Point(1, -7));
            Characters[85].NotPoints.Add(new Point(1, -6));
            Characters[85].NotPoints.Add(new Point(1, -5));
            Characters[85].NotPoints.Add(new Point(1, -4));
            Characters[85].NotPoints.Add(new Point(1, -3));
            Characters[85].NotPoints.Add(new Point(1, -2));
            Characters[85].Points.Add(new Point(1, -1));
            Characters[85].NotPoints.Add(new Point(1, 0));
            Characters[85].NotPoints.Add(new Point(2, -9));
            Characters[85].NotPoints.Add(new Point(2, -8));
            Characters[85].NotPoints.Add(new Point(2, -7));
            Characters[85].NotPoints.Add(new Point(2, -6));
            Characters[85].NotPoints.Add(new Point(2, -5));
            Characters[85].NotPoints.Add(new Point(2, -4));
            Characters[85].NotPoints.Add(new Point(2, -3));
            Characters[85].NotPoints.Add(new Point(2, -2));
            Characters[85].NotPoints.Add(new Point(2, -1));
            Characters[85].Points.Add(new Point(2, 0));
            Characters[85].NotPoints.Add(new Point(3, -9));
            Characters[85].NotPoints.Add(new Point(3, -8));
            Characters[85].NotPoints.Add(new Point(3, -7));
            Characters[85].NotPoints.Add(new Point(3, -6));
            Characters[85].NotPoints.Add(new Point(3, -5));
            Characters[85].NotPoints.Add(new Point(3, -4));
            Characters[85].NotPoints.Add(new Point(3, -3));
            Characters[85].NotPoints.Add(new Point(3, -2));
            Characters[85].NotPoints.Add(new Point(3, -1));
            Characters[85].Points.Add(new Point(3, 0));
            Characters[85].NotPoints.Add(new Point(4, -9));
            Characters[85].NotPoints.Add(new Point(4, -8));
            Characters[85].NotPoints.Add(new Point(4, -7));
            Characters[85].NotPoints.Add(new Point(4, -6));
            Characters[85].NotPoints.Add(new Point(4, -5));
            Characters[85].NotPoints.Add(new Point(4, -4));
            Characters[85].NotPoints.Add(new Point(4, -3));
            Characters[85].NotPoints.Add(new Point(4, -2));
            Characters[85].Points.Add(new Point(4, -1));
            Characters[85].NotPoints.Add(new Point(4, 0));
            Characters[85].Points.Add(new Point(5, -9));
            Characters[85].Points.Add(new Point(5, -8));
            Characters[85].Points.Add(new Point(5, -7));
            Characters[85].Points.Add(new Point(5, -6));
            Characters[85].Points.Add(new Point(5, -5));
            Characters[85].Points.Add(new Point(5, -4));
            Characters[85].Points.Add(new Point(5, -3));
            Characters[85].Points.Add(new Point(5, -2));
            Characters[85].Points.Add(new Point(5, -1));
            Characters[85].Points.Add(new Point(5, 0));

            Characters[86] = new Character();
            Characters[86].Increment = 5;
            Characters[86].Points.Add(new Point(0, -9));
            Characters[86].Points.Add(new Point(0, -8));
            Characters[86].Points.Add(new Point(0, -7));
            Characters[86].Points.Add(new Point(0, -6));
            Characters[86].Points.Add(new Point(0, -5));
            Characters[86].NotPoints.Add(new Point(0, -4));
            Characters[86].NotPoints.Add(new Point(0, -3));
            Characters[86].NotPoints.Add(new Point(0, -2));
            Characters[86].NotPoints.Add(new Point(0, -1));
            Characters[86].NotPoints.Add(new Point(0, 0));
            Characters[86].NotPoints.Add(new Point(1, -9));
            Characters[86].NotPoints.Add(new Point(1, -8));
            Characters[86].NotPoints.Add(new Point(1, -7));
            Characters[86].NotPoints.Add(new Point(1, -6));
            Characters[86].NotPoints.Add(new Point(1, -5));
            Characters[86].Points.Add(new Point(1, -4));
            Characters[86].Points.Add(new Point(1, -3));
            Characters[86].Points.Add(new Point(1, -2));
            Characters[86].NotPoints.Add(new Point(1, -1));
            Characters[86].NotPoints.Add(new Point(1, 0));
            Characters[86].NotPoints.Add(new Point(2, -9));
            Characters[86].NotPoints.Add(new Point(2, -8));
            Characters[86].NotPoints.Add(new Point(2, -7));
            Characters[86].NotPoints.Add(new Point(2, -6));
            Characters[86].NotPoints.Add(new Point(2, -5));
            Characters[86].NotPoints.Add(new Point(2, -4));
            Characters[86].NotPoints.Add(new Point(2, -3));
            Characters[86].NotPoints.Add(new Point(2, -2));
            Characters[86].Points.Add(new Point(2, -1));
            Characters[86].Points.Add(new Point(2, 0));
            Characters[86].NotPoints.Add(new Point(3, -9));
            Characters[86].NotPoints.Add(new Point(3, -8));
            Characters[86].NotPoints.Add(new Point(3, -7));
            Characters[86].NotPoints.Add(new Point(3, -6));
            Characters[86].NotPoints.Add(new Point(3, -5));
            Characters[86].Points.Add(new Point(3, -4));
            Characters[86].Points.Add(new Point(3, -3));
            Characters[86].Points.Add(new Point(3, -2));
            Characters[86].NotPoints.Add(new Point(3, -1));
            Characters[86].NotPoints.Add(new Point(3, 0));
            Characters[86].Points.Add(new Point(4, -9));
            Characters[86].Points.Add(new Point(4, -8));
            Characters[86].Points.Add(new Point(4, -7));
            Characters[86].Points.Add(new Point(4, -6));
            Characters[86].Points.Add(new Point(4, -5));
            Characters[86].NotPoints.Add(new Point(4, -4));
            Characters[86].NotPoints.Add(new Point(4, -3));
            Characters[86].NotPoints.Add(new Point(4, -2));
            Characters[86].NotPoints.Add(new Point(4, -1));
            Characters[86].NotPoints.Add(new Point(4, 0));

            Characters[87] = new Character();
            Characters[87].Increment = 7;
            Characters[87].Points.Add(new Point(0, -9));
            Characters[87].Points.Add(new Point(0, -8));
            Characters[87].Points.Add(new Point(0, -7));
            Characters[87].Points.Add(new Point(0, -6));
            Characters[87].Points.Add(new Point(0, -5));
            Characters[87].Points.Add(new Point(0, -4));
            Characters[87].Points.Add(new Point(0, -3));
            Characters[87].Points.Add(new Point(0, -2));
            Characters[87].NotPoints.Add(new Point(0, -1));
            Characters[87].NotPoints.Add(new Point(0, 0));
            Characters[87].NotPoints.Add(new Point(1, -9));
            Characters[87].NotPoints.Add(new Point(1, -8));
            Characters[87].NotPoints.Add(new Point(1, -7));
            Characters[87].NotPoints.Add(new Point(1, -6));
            Characters[87].NotPoints.Add(new Point(1, -5));
            Characters[87].NotPoints.Add(new Point(1, -4));
            Characters[87].NotPoints.Add(new Point(1, -3));
            Characters[87].NotPoints.Add(new Point(1, -2));
            Characters[87].Points.Add(new Point(1, -1));
            Characters[87].NotPoints.Add(new Point(1, 0));
            Characters[87].NotPoints.Add(new Point(2, -9));
            Characters[87].NotPoints.Add(new Point(2, -8));
            Characters[87].NotPoints.Add(new Point(2, -7));
            Characters[87].NotPoints.Add(new Point(2, -6));
            Characters[87].NotPoints.Add(new Point(2, -5));
            Characters[87].NotPoints.Add(new Point(2, -4));
            Characters[87].NotPoints.Add(new Point(2, -3));
            Characters[87].NotPoints.Add(new Point(2, -2));
            Characters[87].NotPoints.Add(new Point(2, -1));
            Characters[87].Points.Add(new Point(2, 0));
            Characters[87].NotPoints.Add(new Point(3, -9));
            Characters[87].NotPoints.Add(new Point(3, -8));
            Characters[87].NotPoints.Add(new Point(3, -7));
            Characters[87].NotPoints.Add(new Point(3, -6));
            Characters[87].Points.Add(new Point(3, -5));
            Characters[87].Points.Add(new Point(3, -4));
            Characters[87].Points.Add(new Point(3, -3));
            Characters[87].Points.Add(new Point(3, -2));
            Characters[87].Points.Add(new Point(3, -1));
            Characters[87].Points.Add(new Point(3, 0));
            Characters[87].NotPoints.Add(new Point(4, -9));
            Characters[87].NotPoints.Add(new Point(4, -8));
            Characters[87].NotPoints.Add(new Point(4, -7));
            Characters[87].NotPoints.Add(new Point(4, -6));
            Characters[87].NotPoints.Add(new Point(4, -5));
            Characters[87].NotPoints.Add(new Point(4, -4));
            Characters[87].NotPoints.Add(new Point(4, -3));
            Characters[87].NotPoints.Add(new Point(4, -2));
            Characters[87].NotPoints.Add(new Point(4, -1));
            Characters[87].Points.Add(new Point(4, 0));
            Characters[87].NotPoints.Add(new Point(5, -9));
            Characters[87].NotPoints.Add(new Point(5, -8));
            Characters[87].NotPoints.Add(new Point(5, -7));
            Characters[87].NotPoints.Add(new Point(5, -6));
            Characters[87].NotPoints.Add(new Point(5, -5));
            Characters[87].NotPoints.Add(new Point(5, -4));
            Characters[87].NotPoints.Add(new Point(5, -3));
            Characters[87].NotPoints.Add(new Point(5, -2));
            Characters[87].Points.Add(new Point(5, -1));
            Characters[87].NotPoints.Add(new Point(5, 0));
            Characters[87].Points.Add(new Point(6, -9));
            Characters[87].Points.Add(new Point(6, -8));
            Characters[87].Points.Add(new Point(6, -7));
            Characters[87].Points.Add(new Point(6, -6));
            Characters[87].Points.Add(new Point(6, -5));
            Characters[87].Points.Add(new Point(6, -4));
            Characters[87].Points.Add(new Point(6, -3));
            Characters[87].Points.Add(new Point(6, -2));
            Characters[87].NotPoints.Add(new Point(6, -1));
            Characters[87].NotPoints.Add(new Point(6, 0));

            Characters[88] = new Character();
            Characters[88].Increment = 5;
            Characters[88].Points.Add(new Point(0, -9));
            Characters[88].Points.Add(new Point(0, -8));
            Characters[88].NotPoints.Add(new Point(0, -7));
            Characters[88].NotPoints.Add(new Point(0, -6));
            Characters[88].NotPoints.Add(new Point(0, -5));
            Characters[88].NotPoints.Add(new Point(0, -4));
            Characters[88].NotPoints.Add(new Point(0, -3));
            Characters[88].Points.Add(new Point(0, -2));
            Characters[88].Points.Add(new Point(0, -1));
            Characters[88].Points.Add(new Point(0, 0));
            Characters[88].NotPoints.Add(new Point(1, -9));
            Characters[88].NotPoints.Add(new Point(1, -8));
            Characters[88].Points.Add(new Point(1, -7));
            Characters[88].Points.Add(new Point(1, -6));
            Characters[88].NotPoints.Add(new Point(1, -5));
            Characters[88].Points.Add(new Point(1, -4));
            Characters[88].Points.Add(new Point(1, -3));
            Characters[88].NotPoints.Add(new Point(1, -2));
            Characters[88].NotPoints.Add(new Point(1, -1));
            Characters[88].NotPoints.Add(new Point(1, 0));
            Characters[88].NotPoints.Add(new Point(2, -9));
            Characters[88].NotPoints.Add(new Point(2, -8));
            Characters[88].NotPoints.Add(new Point(2, -7));
            Characters[88].NotPoints.Add(new Point(2, -6));
            Characters[88].Points.Add(new Point(2, -5));
            Characters[88].NotPoints.Add(new Point(2, -4));
            Characters[88].NotPoints.Add(new Point(2, -3));
            Characters[88].NotPoints.Add(new Point(2, -2));
            Characters[88].NotPoints.Add(new Point(2, -1));
            Characters[88].NotPoints.Add(new Point(2, 0));
            Characters[88].NotPoints.Add(new Point(3, -9));
            Characters[88].NotPoints.Add(new Point(3, -8));
            Characters[88].Points.Add(new Point(3, -7));
            Characters[88].Points.Add(new Point(3, -6));
            Characters[88].NotPoints.Add(new Point(3, -5));
            Characters[88].Points.Add(new Point(3, -4));
            Characters[88].Points.Add(new Point(3, -3));
            Characters[88].NotPoints.Add(new Point(3, -2));
            Characters[88].NotPoints.Add(new Point(3, -1));
            Characters[88].NotPoints.Add(new Point(3, 0));
            Characters[88].Points.Add(new Point(4, -9));
            Characters[88].Points.Add(new Point(4, -8));
            Characters[88].NotPoints.Add(new Point(4, -7));
            Characters[88].NotPoints.Add(new Point(4, -6));
            Characters[88].NotPoints.Add(new Point(4, -5));
            Characters[88].NotPoints.Add(new Point(4, -4));
            Characters[88].NotPoints.Add(new Point(4, -3));
            Characters[88].Points.Add(new Point(4, -2));
            Characters[88].Points.Add(new Point(4, -1));
            Characters[88].Points.Add(new Point(4, 0));

            Characters[89] = new Character();
            Characters[89].Increment = 5;
            Characters[89].Points.Add(new Point(0, -9));
            Characters[89].Points.Add(new Point(0, -8));
            Characters[89].Points.Add(new Point(0, -7));
            Characters[89].NotPoints.Add(new Point(0, -6));
            Characters[89].NotPoints.Add(new Point(0, -5));
            Characters[89].NotPoints.Add(new Point(0, -4));
            Characters[89].NotPoints.Add(new Point(0, -3));
            Characters[89].NotPoints.Add(new Point(0, -2));
            Characters[89].NotPoints.Add(new Point(0, -1));
            Characters[89].NotPoints.Add(new Point(0, 0));
            Characters[89].NotPoints.Add(new Point(1, -9));
            Characters[89].NotPoints.Add(new Point(1, -8));
            Characters[89].NotPoints.Add(new Point(1, -7));
            Characters[89].Points.Add(new Point(1, -6));
            Characters[89].NotPoints.Add(new Point(1, -5));
            Characters[89].NotPoints.Add(new Point(1, -4));
            Characters[89].NotPoints.Add(new Point(1, -3));
            Characters[89].NotPoints.Add(new Point(1, -2));
            Characters[89].NotPoints.Add(new Point(1, -1));
            Characters[89].NotPoints.Add(new Point(1, 0));
            Characters[89].NotPoints.Add(new Point(2, -9));
            Characters[89].NotPoints.Add(new Point(2, -8));
            Characters[89].NotPoints.Add(new Point(2, -7));
            Characters[89].NotPoints.Add(new Point(2, -6));
            Characters[89].Points.Add(new Point(2, -5));
            Characters[89].Points.Add(new Point(2, -4));
            Characters[89].Points.Add(new Point(2, -3));
            Characters[89].Points.Add(new Point(2, -2));
            Characters[89].Points.Add(new Point(2, -1));
            Characters[89].Points.Add(new Point(2, 0));
            Characters[89].NotPoints.Add(new Point(3, -9));
            Characters[89].NotPoints.Add(new Point(3, -8));
            Characters[89].NotPoints.Add(new Point(3, -7));
            Characters[89].Points.Add(new Point(3, -6));
            Characters[89].NotPoints.Add(new Point(3, -5));
            Characters[89].NotPoints.Add(new Point(3, -4));
            Characters[89].NotPoints.Add(new Point(3, -3));
            Characters[89].NotPoints.Add(new Point(3, -2));
            Characters[89].NotPoints.Add(new Point(3, -1));
            Characters[89].NotPoints.Add(new Point(3, 0));
            Characters[89].Points.Add(new Point(4, -9));
            Characters[89].Points.Add(new Point(4, -8));
            Characters[89].Points.Add(new Point(4, -7));
            Characters[89].NotPoints.Add(new Point(4, -6));
            Characters[89].NotPoints.Add(new Point(4, -5));
            Characters[89].NotPoints.Add(new Point(4, -4));
            Characters[89].NotPoints.Add(new Point(4, -3));
            Characters[89].NotPoints.Add(new Point(4, -2));
            Characters[89].NotPoints.Add(new Point(4, -1));
            Characters[89].NotPoints.Add(new Point(4, 0));

            Characters[90] = new Character();
            Characters[90].Increment = 5;
            Characters[90].Points.Add(new Point(0, -9));
            Characters[90].NotPoints.Add(new Point(0, -8));
            Characters[90].NotPoints.Add(new Point(0, -7));
            Characters[90].NotPoints.Add(new Point(0, -6));
            Characters[90].NotPoints.Add(new Point(0, -5));
            Characters[90].NotPoints.Add(new Point(0, -4));
            Characters[90].NotPoints.Add(new Point(0, -3));
            Characters[90].Points.Add(new Point(0, -2));
            Characters[90].Points.Add(new Point(0, -1));
            Characters[90].Points.Add(new Point(0, 0));
            Characters[90].Points.Add(new Point(1, -9));
            Characters[90].NotPoints.Add(new Point(1, -8));
            Characters[90].NotPoints.Add(new Point(1, -7));
            Characters[90].NotPoints.Add(new Point(1, -6));
            Characters[90].NotPoints.Add(new Point(1, -5));
            Characters[90].Points.Add(new Point(1, -4));
            Characters[90].Points.Add(new Point(1, -3));
            Characters[90].NotPoints.Add(new Point(1, -2));
            Characters[90].NotPoints.Add(new Point(1, -1));
            Characters[90].Points.Add(new Point(1, 0));
            Characters[90].Points.Add(new Point(2, -9));
            Characters[90].NotPoints.Add(new Point(2, -8));
            Characters[90].NotPoints.Add(new Point(2, -7));
            Characters[90].NotPoints.Add(new Point(2, -6));
            Characters[90].Points.Add(new Point(2, -5));
            Characters[90].NotPoints.Add(new Point(2, -4));
            Characters[90].NotPoints.Add(new Point(2, -3));
            Characters[90].NotPoints.Add(new Point(2, -2));
            Characters[90].NotPoints.Add(new Point(2, -1));
            Characters[90].Points.Add(new Point(2, 0));
            Characters[90].Points.Add(new Point(3, -9));
            Characters[90].NotPoints.Add(new Point(3, -8));
            Characters[90].Points.Add(new Point(3, -7));
            Characters[90].Points.Add(new Point(3, -6));
            Characters[90].NotPoints.Add(new Point(3, -5));
            Characters[90].NotPoints.Add(new Point(3, -4));
            Characters[90].NotPoints.Add(new Point(3, -3));
            Characters[90].NotPoints.Add(new Point(3, -2));
            Characters[90].NotPoints.Add(new Point(3, -1));
            Characters[90].Points.Add(new Point(3, 0));
            Characters[90].Points.Add(new Point(4, -9));
            Characters[90].Points.Add(new Point(4, -8));
            Characters[90].NotPoints.Add(new Point(4, -7));
            Characters[90].NotPoints.Add(new Point(4, -6));
            Characters[90].NotPoints.Add(new Point(4, -5));
            Characters[90].NotPoints.Add(new Point(4, -4));
            Characters[90].NotPoints.Add(new Point(4, -3));
            Characters[90].NotPoints.Add(new Point(4, -2));
            Characters[90].NotPoints.Add(new Point(4, -1));
            Characters[90].Points.Add(new Point(4, 0));

            Characters[97] = new Character();
            Characters[97].Increment = 5;
            Characters[97].NotPoints.Add(new Point(0, -5));
            Characters[97].Points.Add(new Point(0, -4));
            Characters[97].NotPoints.Add(new Point(0, -3));
            Characters[97].Points.Add(new Point(0, -2));
            Characters[97].Points.Add(new Point(0, -1));
            Characters[97].NotPoints.Add(new Point(0, 0));
            Characters[97].Points.Add(new Point(1, -5));
            Characters[97].NotPoints.Add(new Point(1, -4));
            Characters[97].Points.Add(new Point(1, -3));
            Characters[97].NotPoints.Add(new Point(1, -2));
            Characters[97].NotPoints.Add(new Point(1, -1));
            Characters[97].Points.Add(new Point(1, 0));
            Characters[97].Points.Add(new Point(2, -5));
            Characters[97].NotPoints.Add(new Point(2, -4));
            Characters[97].Points.Add(new Point(2, -3));
            Characters[97].NotPoints.Add(new Point(2, -2));
            Characters[97].NotPoints.Add(new Point(2, -1));
            Characters[97].Points.Add(new Point(2, 0));
            Characters[97].Points.Add(new Point(3, -5));
            Characters[97].NotPoints.Add(new Point(3, -4));
            Characters[97].Points.Add(new Point(3, -3));
            Characters[97].NotPoints.Add(new Point(3, -2));
            Characters[97].NotPoints.Add(new Point(3, -1));
            Characters[97].Points.Add(new Point(3, 0));
            Characters[97].NotPoints.Add(new Point(4, -5));
            Characters[97].Points.Add(new Point(4, -4));
            Characters[97].Points.Add(new Point(4, -3));
            Characters[97].Points.Add(new Point(4, -2));
            Characters[97].Points.Add(new Point(4, -1));
            Characters[97].Points.Add(new Point(4, 0));

            Characters[98] = new Character();
            Characters[98].Increment = 5;
            Characters[98].Points.Add(new Point(0, -9));
            Characters[98].Points.Add(new Point(0, -8));
            Characters[98].Points.Add(new Point(0, -7));
            Characters[98].Points.Add(new Point(0, -6));
            Characters[98].Points.Add(new Point(0, -5));
            Characters[98].Points.Add(new Point(0, -4));
            Characters[98].Points.Add(new Point(0, -3));
            Characters[98].Points.Add(new Point(0, -2));
            Characters[98].Points.Add(new Point(0, -1));
            Characters[98].Points.Add(new Point(0, 0));
            Characters[98].NotPoints.Add(new Point(1, -9));
            Characters[98].NotPoints.Add(new Point(1, -8));
            Characters[98].NotPoints.Add(new Point(1, -7));
            Characters[98].NotPoints.Add(new Point(1, -6));
            Characters[98].Points.Add(new Point(1, -5));
            Characters[98].NotPoints.Add(new Point(1, -4));
            Characters[98].NotPoints.Add(new Point(1, -3));
            Characters[98].NotPoints.Add(new Point(1, -2));
            Characters[98].NotPoints.Add(new Point(1, -1));
            Characters[98].Points.Add(new Point(1, 0));
            Characters[98].NotPoints.Add(new Point(2, -9));
            Characters[98].NotPoints.Add(new Point(2, -8));
            Characters[98].NotPoints.Add(new Point(2, -7));
            Characters[98].NotPoints.Add(new Point(2, -6));
            Characters[98].Points.Add(new Point(2, -5));
            Characters[98].NotPoints.Add(new Point(2, -4));
            Characters[98].NotPoints.Add(new Point(2, -3));
            Characters[98].NotPoints.Add(new Point(2, -2));
            Characters[98].NotPoints.Add(new Point(2, -1));
            Characters[98].Points.Add(new Point(2, 0));
            Characters[98].NotPoints.Add(new Point(3, -9));
            Characters[98].NotPoints.Add(new Point(3, -8));
            Characters[98].NotPoints.Add(new Point(3, -7));
            Characters[98].NotPoints.Add(new Point(3, -6));
            Characters[98].NotPoints.Add(new Point(3, -5));
            Characters[98].Points.Add(new Point(3, -4));
            Characters[98].NotPoints.Add(new Point(3, -3));
            Characters[98].NotPoints.Add(new Point(3, -2));
            Characters[98].NotPoints.Add(new Point(3, -1));
            Characters[98].Points.Add(new Point(3, 0));
            Characters[98].NotPoints.Add(new Point(4, -9));
            Characters[98].NotPoints.Add(new Point(4, -8));
            Characters[98].NotPoints.Add(new Point(4, -7));
            Characters[98].NotPoints.Add(new Point(4, -6));
            Characters[98].NotPoints.Add(new Point(4, -5));
            Characters[98].NotPoints.Add(new Point(4, -4));
            Characters[98].Points.Add(new Point(4, -3));
            Characters[98].Points.Add(new Point(4, -2));
            Characters[98].Points.Add(new Point(4, -1));
            Characters[98].NotPoints.Add(new Point(4, 0));

            Characters[99] = new Character();
            Characters[99].Increment = 4;
            Characters[99].NotPoints.Add(new Point(0, -5));
            Characters[99].Points.Add(new Point(0, -4));
            Characters[99].Points.Add(new Point(0, -3));
            Characters[99].Points.Add(new Point(0, -2));
            Characters[99].Points.Add(new Point(0, -1));
            Characters[99].NotPoints.Add(new Point(0, 0));
            Characters[99].Points.Add(new Point(1, -5));
            Characters[99].NotPoints.Add(new Point(1, -4));
            Characters[99].NotPoints.Add(new Point(1, -3));
            Characters[99].NotPoints.Add(new Point(1, -2));
            Characters[99].NotPoints.Add(new Point(1, -1));
            Characters[99].Points.Add(new Point(1, 0));
            Characters[99].Points.Add(new Point(2, -5));
            Characters[99].NotPoints.Add(new Point(2, -4));
            Characters[99].NotPoints.Add(new Point(2, -3));
            Characters[99].NotPoints.Add(new Point(2, -2));
            Characters[99].NotPoints.Add(new Point(2, -1));
            Characters[99].Points.Add(new Point(2, 0));
            Characters[99].Points.Add(new Point(3, -5));
            Characters[99].NotPoints.Add(new Point(3, -4));
            Characters[99].NotPoints.Add(new Point(3, -3));
            Characters[99].NotPoints.Add(new Point(3, -2));
            Characters[99].NotPoints.Add(new Point(3, -1));
            Characters[99].Points.Add(new Point(3, 0));

            Characters[100] = new Character();
            Characters[100].Increment = 5;
            Characters[100].NotPoints.Add(new Point(0, -9));
            Characters[100].NotPoints.Add(new Point(0, -8));
            Characters[100].NotPoints.Add(new Point(0, -7));
            Characters[100].NotPoints.Add(new Point(0, -6));
            Characters[100].NotPoints.Add(new Point(0, -5));
            Characters[100].NotPoints.Add(new Point(0, -4));
            Characters[100].Points.Add(new Point(0, -3));
            Characters[100].Points.Add(new Point(0, -2));
            Characters[100].Points.Add(new Point(0, -1));
            Characters[100].NotPoints.Add(new Point(0, 0));
            Characters[100].NotPoints.Add(new Point(1, -9));
            Characters[100].NotPoints.Add(new Point(1, -8));
            Characters[100].NotPoints.Add(new Point(1, -7));
            Characters[100].NotPoints.Add(new Point(1, -6));
            Characters[100].NotPoints.Add(new Point(1, -5));
            Characters[100].Points.Add(new Point(1, -4));
            Characters[100].NotPoints.Add(new Point(1, -3));
            Characters[100].NotPoints.Add(new Point(1, -2));
            Characters[100].NotPoints.Add(new Point(1, -1));
            Characters[100].Points.Add(new Point(1, 0));
            Characters[100].NotPoints.Add(new Point(2, -9));
            Characters[100].NotPoints.Add(new Point(2, -8));
            Characters[100].NotPoints.Add(new Point(2, -7));
            Characters[100].NotPoints.Add(new Point(2, -6));
            Characters[100].Points.Add(new Point(2, -5));
            Characters[100].NotPoints.Add(new Point(2, -4));
            Characters[100].NotPoints.Add(new Point(2, -3));
            Characters[100].NotPoints.Add(new Point(2, -2));
            Characters[100].NotPoints.Add(new Point(2, -1));
            Characters[100].Points.Add(new Point(2, 0));
            Characters[100].NotPoints.Add(new Point(3, -9));
            Characters[100].NotPoints.Add(new Point(3, -8));
            Characters[100].NotPoints.Add(new Point(3, -7));
            Characters[100].NotPoints.Add(new Point(3, -6));
            Characters[100].Points.Add(new Point(3, -5));
            Characters[100].NotPoints.Add(new Point(3, -4));
            Characters[100].NotPoints.Add(new Point(3, -3));
            Characters[100].NotPoints.Add(new Point(3, -2));
            Characters[100].NotPoints.Add(new Point(3, -1));
            Characters[100].Points.Add(new Point(3, 0));
            Characters[100].Points.Add(new Point(4, -9));
            Characters[100].Points.Add(new Point(4, -8));
            Characters[100].Points.Add(new Point(4, -7));
            Characters[100].Points.Add(new Point(4, -6));
            Characters[100].Points.Add(new Point(4, -5));
            Characters[100].Points.Add(new Point(4, -4));
            Characters[100].Points.Add(new Point(4, -3));
            Characters[100].Points.Add(new Point(4, -2));
            Characters[100].Points.Add(new Point(4, -1));
            Characters[100].Points.Add(new Point(4, 0));

            Characters[101] = new Character();
            Characters[101].Increment = 5;
            Characters[101].NotPoints.Add(new Point(0, -5));
            Characters[101].Points.Add(new Point(0, -4));
            Characters[101].Points.Add(new Point(0, -3));
            Characters[101].Points.Add(new Point(0, -2));
            Characters[101].Points.Add(new Point(0, -1));
            Characters[101].NotPoints.Add(new Point(0, 0));
            Characters[101].Points.Add(new Point(1, -5));
            Characters[101].NotPoints.Add(new Point(1, -4));
            Characters[101].NotPoints.Add(new Point(1, -3));
            Characters[101].Points.Add(new Point(1, -2));
            Characters[101].NotPoints.Add(new Point(1, -1));
            Characters[101].Points.Add(new Point(1, 0));
            Characters[101].Points.Add(new Point(2, -5));
            Characters[101].NotPoints.Add(new Point(2, -4));
            Characters[101].NotPoints.Add(new Point(2, -3));
            Characters[101].Points.Add(new Point(2, -2));
            Characters[101].NotPoints.Add(new Point(2, -1));
            Characters[101].Points.Add(new Point(2, 0));
            Characters[101].Points.Add(new Point(3, -5));
            Characters[101].NotPoints.Add(new Point(3, -4));
            Characters[101].NotPoints.Add(new Point(3, -3));
            Characters[101].Points.Add(new Point(3, -2));
            Characters[101].NotPoints.Add(new Point(3, -1));
            Characters[101].Points.Add(new Point(3, 0));
            Characters[101].NotPoints.Add(new Point(4, -5));
            Characters[101].Points.Add(new Point(4, -4));
            Characters[101].Points.Add(new Point(4, -3));
            Characters[101].NotPoints.Add(new Point(4, -2));
            Characters[101].NotPoints.Add(new Point(4, -1));
            Characters[101].Points.Add(new Point(4, 0));

            Characters[102] = new Character();
            Characters[102].Increment = 5;
            Characters[102].NotPoints.Add(new Point(0, -7));
            Characters[102].NotPoints.Add(new Point(0, -6));
            Characters[102].NotPoints.Add(new Point(0, -5));
            Characters[102].NotPoints.Add(new Point(0, -4));
            Characters[102].Points.Add(new Point(0, -3));
            Characters[102].NotPoints.Add(new Point(0, -2));
            Characters[102].NotPoints.Add(new Point(0, -1));
            Characters[102].NotPoints.Add(new Point(0, 0));
            Characters[102].NotPoints.Add(new Point(1, -7));
            Characters[102].Points.Add(new Point(1, -6));
            Characters[102].Points.Add(new Point(1, -5));
            Characters[102].Points.Add(new Point(1, -4));
            Characters[102].Points.Add(new Point(1, -3));
            Characters[102].Points.Add(new Point(1, -2));
            Characters[102].Points.Add(new Point(1, -1));
            Characters[102].Points.Add(new Point(1, 0));
            Characters[102].Points.Add(new Point(2, -7));
            Characters[102].NotPoints.Add(new Point(2, -6));
            Characters[102].NotPoints.Add(new Point(2, -5));
            Characters[102].NotPoints.Add(new Point(2, -4));
            Characters[102].Points.Add(new Point(2, -3));
            Characters[102].NotPoints.Add(new Point(2, -2));
            Characters[102].NotPoints.Add(new Point(2, -1));
            Characters[102].NotPoints.Add(new Point(2, 0));
            Characters[102].Points.Add(new Point(3, -7));
            Characters[102].NotPoints.Add(new Point(3, -6));
            Characters[102].NotPoints.Add(new Point(3, -5));
            Characters[102].NotPoints.Add(new Point(3, -4));
            Characters[102].NotPoints.Add(new Point(3, -3));
            Characters[102].NotPoints.Add(new Point(3, -2));
            Characters[102].NotPoints.Add(new Point(3, -1));
            Characters[102].NotPoints.Add(new Point(3, 0));
            Characters[102].NotPoints.Add(new Point(4, -7));
            Characters[102].Points.Add(new Point(4, -6));
            Characters[102].NotPoints.Add(new Point(4, -5));
            Characters[102].NotPoints.Add(new Point(4, -4));
            Characters[102].NotPoints.Add(new Point(4, -3));
            Characters[102].NotPoints.Add(new Point(4, -2));
            Characters[102].NotPoints.Add(new Point(4, -1));
            Characters[102].NotPoints.Add(new Point(4, 0));

            Characters[103] = new Character();
            Characters[103].Increment = 5;
            Characters[103].NotPoints.Add(new Point(0, -5));
            Characters[103].Points.Add(new Point(0, -4));
            Characters[103].Points.Add(new Point(0, -3));
            Characters[103].Points.Add(new Point(0, -2));
            Characters[103].Points.Add(new Point(0, -1));
            Characters[103].NotPoints.Add(new Point(0, 0));
            Characters[103].Points.Add(new Point(1, -5));
            Characters[103].NotPoints.Add(new Point(1, -4));
            Characters[103].NotPoints.Add(new Point(1, -3));
            Characters[103].NotPoints.Add(new Point(1, -2));
            Characters[103].NotPoints.Add(new Point(1, -1));
            Characters[103].Points.Add(new Point(1, 0));
            Characters[103].Points.Add(new Point(2, -5));
            Characters[103].NotPoints.Add(new Point(2, -4));
            Characters[103].NotPoints.Add(new Point(2, -3));
            Characters[103].NotPoints.Add(new Point(2, -2));
            Characters[103].NotPoints.Add(new Point(2, -1));
            Characters[103].Points.Add(new Point(2, 0));
            Characters[103].Points.Add(new Point(3, -5));
            Characters[103].NotPoints.Add(new Point(3, -4));
            Characters[103].NotPoints.Add(new Point(3, -3));
            Characters[103].NotPoints.Add(new Point(3, -2));
            Characters[103].NotPoints.Add(new Point(3, -1));
            Characters[103].Points.Add(new Point(3, 0));
            Characters[103].NotPoints.Add(new Point(4, -5));
            Characters[103].Points.Add(new Point(4, -4));
            Characters[103].Points.Add(new Point(4, -3));
            Characters[103].Points.Add(new Point(4, -2));
            Characters[103].Points.Add(new Point(4, -1));
            Characters[103].Points.Add(new Point(4, 0));

            Characters[104] = new Character();
            Characters[104].Increment = 5;
            Characters[104].Points.Add(new Point(0, -9));
            Characters[104].Points.Add(new Point(0, -8));
            Characters[104].Points.Add(new Point(0, -7));
            Characters[104].Points.Add(new Point(0, -6));
            Characters[104].Points.Add(new Point(0, -5));
            Characters[104].Points.Add(new Point(0, -4));
            Characters[104].Points.Add(new Point(0, -3));
            Characters[104].Points.Add(new Point(0, -2));
            Characters[104].Points.Add(new Point(0, -1));
            Characters[104].Points.Add(new Point(0, 0));
            Characters[104].NotPoints.Add(new Point(1, -9));
            Characters[104].NotPoints.Add(new Point(1, -8));
            Characters[104].NotPoints.Add(new Point(1, -7));
            Characters[104].NotPoints.Add(new Point(1, -6));
            Characters[104].NotPoints.Add(new Point(1, -5));
            Characters[104].Points.Add(new Point(1, -4));
            Characters[104].NotPoints.Add(new Point(1, -3));
            Characters[104].NotPoints.Add(new Point(1, -2));
            Characters[104].NotPoints.Add(new Point(1, -1));
            Characters[104].NotPoints.Add(new Point(1, 0));
            Characters[104].NotPoints.Add(new Point(2, -9));
            Characters[104].NotPoints.Add(new Point(2, -8));
            Characters[104].NotPoints.Add(new Point(2, -7));
            Characters[104].NotPoints.Add(new Point(2, -6));
            Characters[104].Points.Add(new Point(2, -5));
            Characters[104].NotPoints.Add(new Point(2, -4));
            Characters[104].NotPoints.Add(new Point(2, -3));
            Characters[104].NotPoints.Add(new Point(2, -2));
            Characters[104].NotPoints.Add(new Point(2, -1));
            Characters[104].NotPoints.Add(new Point(2, 0));
            Characters[104].NotPoints.Add(new Point(3, -9));
            Characters[104].NotPoints.Add(new Point(3, -8));
            Characters[104].NotPoints.Add(new Point(3, -7));
            Characters[104].NotPoints.Add(new Point(3, -6));
            Characters[104].Points.Add(new Point(3, -5));
            Characters[104].NotPoints.Add(new Point(3, -4));
            Characters[104].NotPoints.Add(new Point(3, -3));
            Characters[104].NotPoints.Add(new Point(3, -2));
            Characters[104].NotPoints.Add(new Point(3, -1));
            Characters[104].NotPoints.Add(new Point(3, 0));
            Characters[104].NotPoints.Add(new Point(4, -9));
            Characters[104].NotPoints.Add(new Point(4, -8));
            Characters[104].NotPoints.Add(new Point(4, -7));
            Characters[104].NotPoints.Add(new Point(4, -6));
            Characters[104].NotPoints.Add(new Point(4, -5));
            Characters[104].Points.Add(new Point(4, -4));
            Characters[104].Points.Add(new Point(4, -3));
            Characters[104].Points.Add(new Point(4, -2));
            Characters[104].Points.Add(new Point(4, -1));
            Characters[104].Points.Add(new Point(4, 0));

            Characters[105] = new Character();
            Characters[105].Increment = 1;
            Characters[105].Points.Add(new Point(0, -6));
            Characters[105].NotPoints.Add(new Point(0, -5));
            Characters[105].Points.Add(new Point(0, -4));
            Characters[105].Points.Add(new Point(0, -3));
            Characters[105].Points.Add(new Point(0, -2));
            Characters[105].Points.Add(new Point(0, -1));
            Characters[105].Points.Add(new Point(0, 0));
            Characters[105].NotPoints.Add(new Point(0, 1));

            Characters[106] = new Character();
            Characters[106].Increment = 4;
            Characters[106].NotPoints.Add(new Point(0, -6));
            Characters[106].NotPoints.Add(new Point(0, -5));
            Characters[106].NotPoints.Add(new Point(0, -4));
            Characters[106].NotPoints.Add(new Point(0, -3));
            Characters[106].NotPoints.Add(new Point(0, -2));
            Characters[106].NotPoints.Add(new Point(0, -1));
            Characters[106].NotPoints.Add(new Point(0, 0));
            Characters[106].NotPoints.Add(new Point(1, -6));
            Characters[106].NotPoints.Add(new Point(1, -5));
            Characters[106].NotPoints.Add(new Point(1, -4));
            Characters[106].NotPoints.Add(new Point(1, -3));
            Characters[106].NotPoints.Add(new Point(1, -2));
            Characters[106].NotPoints.Add(new Point(1, -1));
            Characters[106].NotPoints.Add(new Point(1, 0));
            Characters[106].NotPoints.Add(new Point(2, -6));
            Characters[106].NotPoints.Add(new Point(2, -5));
            Characters[106].NotPoints.Add(new Point(2, -4));
            Characters[106].NotPoints.Add(new Point(2, -3));
            Characters[106].NotPoints.Add(new Point(2, -2));
            Characters[106].NotPoints.Add(new Point(2, -1));
            Characters[106].NotPoints.Add(new Point(2, 0));
            Characters[106].Points.Add(new Point(3, -6));
            Characters[106].NotPoints.Add(new Point(3, -5));
            Characters[106].Points.Add(new Point(3, -4));
            Characters[106].Points.Add(new Point(3, -3));
            Characters[106].Points.Add(new Point(3, -2));
            Characters[106].Points.Add(new Point(3, -1));
            Characters[106].Points.Add(new Point(3, 0));
            Characters[106].Points.Add(new Point(-3, 2));


            Characters[107] = new Character();
            Characters[107].Increment = 5;
            Characters[107].Points.Add(new Point(0, -9));
            Characters[107].Points.Add(new Point(0, -8));
            Characters[107].Points.Add(new Point(0, -7));
            Characters[107].Points.Add(new Point(0, -6));
            Characters[107].Points.Add(new Point(0, -5));
            Characters[107].Points.Add(new Point(0, -4));
            Characters[107].Points.Add(new Point(0, -3));
            Characters[107].Points.Add(new Point(0, -2));
            Characters[107].Points.Add(new Point(0, -1));
            Characters[107].Points.Add(new Point(0, 0));
            Characters[107].NotPoints.Add(new Point(1, -9));
            Characters[107].NotPoints.Add(new Point(1, -8));
            Characters[107].NotPoints.Add(new Point(1, -7));
            Characters[107].NotPoints.Add(new Point(1, -6));
            Characters[107].NotPoints.Add(new Point(1, -5));
            Characters[107].NotPoints.Add(new Point(1, -4));
            Characters[107].Points.Add(new Point(1, -3));
            Characters[107].NotPoints.Add(new Point(1, -2));
            Characters[107].NotPoints.Add(new Point(1, -1));
            Characters[107].NotPoints.Add(new Point(1, 0));
            Characters[107].NotPoints.Add(new Point(2, -9));
            Characters[107].NotPoints.Add(new Point(2, -8));
            Characters[107].NotPoints.Add(new Point(2, -7));
            Characters[107].NotPoints.Add(new Point(2, -6));
            Characters[107].NotPoints.Add(new Point(2, -5));
            Characters[107].Points.Add(new Point(2, -4));
            Characters[107].NotPoints.Add(new Point(2, -3));
            Characters[107].Points.Add(new Point(2, -2));
            Characters[107].NotPoints.Add(new Point(2, -1));
            Characters[107].NotPoints.Add(new Point(2, 0));
            Characters[107].NotPoints.Add(new Point(3, -9));
            Characters[107].NotPoints.Add(new Point(3, -8));
            Characters[107].NotPoints.Add(new Point(3, -7));
            Characters[107].NotPoints.Add(new Point(3, -6));
            Characters[107].Points.Add(new Point(3, -5));
            Characters[107].NotPoints.Add(new Point(3, -4));
            Characters[107].NotPoints.Add(new Point(3, -3));
            Characters[107].NotPoints.Add(new Point(3, -2));
            Characters[107].Points.Add(new Point(3, -1));
            Characters[107].NotPoints.Add(new Point(3, 0));
            Characters[107].NotPoints.Add(new Point(4, -9));
            Characters[107].NotPoints.Add(new Point(4, -8));
            Characters[107].NotPoints.Add(new Point(4, -7));
            Characters[107].NotPoints.Add(new Point(4, -6));
            Characters[107].NotPoints.Add(new Point(4, -5));
            Characters[107].NotPoints.Add(new Point(4, -4));
            Characters[107].NotPoints.Add(new Point(4, -3));
            Characters[107].NotPoints.Add(new Point(4, -2));
            Characters[107].NotPoints.Add(new Point(4, -1));
            Characters[107].Points.Add(new Point(4, 0));

            Characters[108] = new Character();
            Characters[108].Increment = 1;
            Characters[108].Points.Add(new Point(0, -9));
            Characters[108].Points.Add(new Point(0, -8));
            Characters[108].Points.Add(new Point(0, -7));
            Characters[108].Points.Add(new Point(0, -6));
            Characters[108].Points.Add(new Point(0, -5));
            Characters[108].Points.Add(new Point(0, -4));
            Characters[108].Points.Add(new Point(0, -3));
            Characters[108].Points.Add(new Point(0, -2));
            Characters[108].Points.Add(new Point(0, -1));
            Characters[108].Points.Add(new Point(0, 0));

            Characters[109] = new Character();
            Characters[109].Increment = 7;
            Characters[109].NotPoints.Add(new Point(0, -5));
            Characters[109].Points.Add(new Point(0, -4));
            Characters[109].Points.Add(new Point(0, -3));
            Characters[109].Points.Add(new Point(0, -2));
            Characters[109].Points.Add(new Point(0, -1));
            Characters[109].Points.Add(new Point(0, 0));
            Characters[109].Points.Add(new Point(1, -5));
            Characters[109].NotPoints.Add(new Point(1, -4));
            Characters[109].NotPoints.Add(new Point(1, -3));
            Characters[109].NotPoints.Add(new Point(1, -2));
            Characters[109].NotPoints.Add(new Point(1, -1));
            Characters[109].NotPoints.Add(new Point(1, 0));
            Characters[109].Points.Add(new Point(2, -5));
            Characters[109].NotPoints.Add(new Point(2, -4));
            Characters[109].NotPoints.Add(new Point(2, -3));
            Characters[109].NotPoints.Add(new Point(2, -2));
            Characters[109].NotPoints.Add(new Point(2, -1));
            Characters[109].NotPoints.Add(new Point(2, 0));
            Characters[109].NotPoints.Add(new Point(3, -5));
            Characters[109].Points.Add(new Point(3, -4));
            Characters[109].Points.Add(new Point(3, -3));
            Characters[109].Points.Add(new Point(3, -2));
            Characters[109].Points.Add(new Point(3, -1));
            Characters[109].Points.Add(new Point(3, 0));
            Characters[109].Points.Add(new Point(4, -5));
            Characters[109].NotPoints.Add(new Point(4, -4));
            Characters[109].NotPoints.Add(new Point(4, -3));
            Characters[109].NotPoints.Add(new Point(4, -2));
            Characters[109].NotPoints.Add(new Point(4, -1));
            Characters[109].NotPoints.Add(new Point(4, 0));
            Characters[109].Points.Add(new Point(5, -5));
            Characters[109].NotPoints.Add(new Point(5, -4));
            Characters[109].NotPoints.Add(new Point(5, -3));
            Characters[109].NotPoints.Add(new Point(5, -2));
            Characters[109].NotPoints.Add(new Point(5, -1));
            Characters[109].NotPoints.Add(new Point(5, 0));
            Characters[109].NotPoints.Add(new Point(6, -5));
            Characters[109].Points.Add(new Point(6, -4));
            Characters[109].Points.Add(new Point(6, -3));
            Characters[109].Points.Add(new Point(6, -2));
            Characters[109].Points.Add(new Point(6, -1));
            Characters[109].Points.Add(new Point(6, 0));

            Characters[110] = new Character();
            Characters[110].Increment = 5;
            Characters[110].Points.Add(new Point(0, -5));
            Characters[110].Points.Add(new Point(0, -4));
            Characters[110].Points.Add(new Point(0, -3));
            Characters[110].Points.Add(new Point(0, -2));
            Characters[110].Points.Add(new Point(0, -1));
            Characters[110].Points.Add(new Point(0, 0));
            Characters[110].NotPoints.Add(new Point(1, -5));
            Characters[110].Points.Add(new Point(1, -4));
            Characters[110].NotPoints.Add(new Point(1, -3));
            Characters[110].NotPoints.Add(new Point(1, -2));
            Characters[110].NotPoints.Add(new Point(1, -1));
            Characters[110].NotPoints.Add(new Point(1, 0));
            Characters[110].Points.Add(new Point(2, -5));
            Characters[110].NotPoints.Add(new Point(2, -4));
            Characters[110].NotPoints.Add(new Point(2, -3));
            Characters[110].NotPoints.Add(new Point(2, -2));
            Characters[110].NotPoints.Add(new Point(2, -1));
            Characters[110].NotPoints.Add(new Point(2, 0));
            Characters[110].Points.Add(new Point(3, -5));
            Characters[110].NotPoints.Add(new Point(3, -4));
            Characters[110].NotPoints.Add(new Point(3, -3));
            Characters[110].NotPoints.Add(new Point(3, -2));
            Characters[110].NotPoints.Add(new Point(3, -1));
            Characters[110].NotPoints.Add(new Point(3, 0));
            Characters[110].NotPoints.Add(new Point(4, -5));
            Characters[110].Points.Add(new Point(4, -4));
            Characters[110].Points.Add(new Point(4, -3));
            Characters[110].Points.Add(new Point(4, -2));
            Characters[110].Points.Add(new Point(4, -1));
            Characters[110].Points.Add(new Point(4, 0));

            Characters[111] = new Character();
            Characters[111].Increment = 5;
            Characters[111].NotPoints.Add(new Point(0, -5));
            Characters[111].Points.Add(new Point(0, -4));
            Characters[111].Points.Add(new Point(0, -3));
            Characters[111].Points.Add(new Point(0, -2));
            Characters[111].Points.Add(new Point(0, -1));
            Characters[111].NotPoints.Add(new Point(0, 0));
            Characters[111].Points.Add(new Point(1, -5));
            Characters[111].NotPoints.Add(new Point(1, -4));
            Characters[111].NotPoints.Add(new Point(1, -3));
            Characters[111].NotPoints.Add(new Point(1, -2));
            Characters[111].NotPoints.Add(new Point(1, -1));
            Characters[111].Points.Add(new Point(1, 0));
            Characters[111].Points.Add(new Point(2, -5));
            Characters[111].NotPoints.Add(new Point(2, -4));
            Characters[111].NotPoints.Add(new Point(2, -3));
            Characters[111].NotPoints.Add(new Point(2, -2));
            Characters[111].NotPoints.Add(new Point(2, -1));
            Characters[111].Points.Add(new Point(2, 0));
            Characters[111].Points.Add(new Point(3, -5));
            Characters[111].NotPoints.Add(new Point(3, -4));
            Characters[111].NotPoints.Add(new Point(3, -3));
            Characters[111].NotPoints.Add(new Point(3, -2));
            Characters[111].NotPoints.Add(new Point(3, -1));
            Characters[111].Points.Add(new Point(3, 0));
            Characters[111].NotPoints.Add(new Point(4, -5));
            Characters[111].Points.Add(new Point(4, -4));
            Characters[111].Points.Add(new Point(4, -3));
            Characters[111].Points.Add(new Point(4, -2));
            Characters[111].Points.Add(new Point(4, -1));
            Characters[111].NotPoints.Add(new Point(4, 0));

            Characters[112] = new Character();
            Characters[112].Increment = 5;
            Characters[112].NotPoints.Add(new Point(0, -5));
            Characters[112].Points.Add(new Point(0, -4));
            Characters[112].Points.Add(new Point(0, -3));
            Characters[112].Points.Add(new Point(0, -2));
            Characters[112].Points.Add(new Point(0, -1));
            Characters[112].Points.Add(new Point(0, 0));
            Characters[112].Points.Add(new Point(1, -5));
            Characters[112].NotPoints.Add(new Point(1, -4));
            Characters[112].NotPoints.Add(new Point(1, -3));
            Characters[112].NotPoints.Add(new Point(1, -2));
            Characters[112].NotPoints.Add(new Point(1, -1));
            Characters[112].Points.Add(new Point(1, 0));
            Characters[112].Points.Add(new Point(2, -5));
            Characters[112].NotPoints.Add(new Point(2, -4));
            Characters[112].NotPoints.Add(new Point(2, -3));
            Characters[112].NotPoints.Add(new Point(2, -2));
            Characters[112].NotPoints.Add(new Point(2, -1));
            Characters[112].Points.Add(new Point(2, 0));
            Characters[112].Points.Add(new Point(3, -5));
            Characters[112].NotPoints.Add(new Point(3, -4));
            Characters[112].NotPoints.Add(new Point(3, -3));
            Characters[112].NotPoints.Add(new Point(3, -2));
            Characters[112].NotPoints.Add(new Point(3, -1));
            Characters[112].Points.Add(new Point(3, 0));
            Characters[112].NotPoints.Add(new Point(4, -5));
            Characters[112].Points.Add(new Point(4, -4));
            Characters[112].Points.Add(new Point(4, -3));
            Characters[112].Points.Add(new Point(4, -2));
            Characters[112].Points.Add(new Point(4, -1));
            Characters[112].NotPoints.Add(new Point(4, 0));

            Characters[113] = new Character();
            Characters[113].Increment = 5;
            Characters[113].NotPoints.Add(new Point(0, -5));
            Characters[113].NotPoints.Add(new Point(0, -4));
            Characters[113].Points.Add(new Point(0, -3));
            Characters[113].Points.Add(new Point(0, -2));
            Characters[113].NotPoints.Add(new Point(0, -1));
            Characters[113].NotPoints.Add(new Point(0, 0));
            Characters[113].NotPoints.Add(new Point(1, -5));
            Characters[113].Points.Add(new Point(1, -4));
            Characters[113].NotPoints.Add(new Point(1, -3));
            Characters[113].NotPoints.Add(new Point(1, -2));
            Characters[113].Points.Add(new Point(1, -1));
            Characters[113].NotPoints.Add(new Point(1, 0));
            Characters[113].Points.Add(new Point(2, -5));
            Characters[113].NotPoints.Add(new Point(2, -4));
            Characters[113].NotPoints.Add(new Point(2, -3));
            Characters[113].NotPoints.Add(new Point(2, -2));
            Characters[113].NotPoints.Add(new Point(2, -1));
            Characters[113].Points.Add(new Point(2, 0));
            Characters[113].Points.Add(new Point(3, -5));
            Characters[113].NotPoints.Add(new Point(3, -4));
            Characters[113].NotPoints.Add(new Point(3, -3));
            Characters[113].NotPoints.Add(new Point(3, -2));
            Characters[113].NotPoints.Add(new Point(3, -1));
            Characters[113].Points.Add(new Point(3, 0));
            Characters[113].NotPoints.Add(new Point(4, -5));
            Characters[113].Points.Add(new Point(4, -4));
            Characters[113].Points.Add(new Point(4, -3));
            Characters[113].Points.Add(new Point(4, -2));
            Characters[113].Points.Add(new Point(4, -1));
            Characters[113].Points.Add(new Point(4, 0));

            Characters[114] = new Character();
            Characters[114].Increment = 3;
            Characters[114].Points.Add(new Point(0, -5));
            Characters[114].Points.Add(new Point(0, -4));
            Characters[114].Points.Add(new Point(0, -3));
            Characters[114].Points.Add(new Point(0, -2));
            Characters[114].Points.Add(new Point(0, -1));
            Characters[114].Points.Add(new Point(0, 0));
            Characters[114].NotPoints.Add(new Point(1, -5));
            Characters[114].Points.Add(new Point(1, -4));
            Characters[114].NotPoints.Add(new Point(1, -3));
            Characters[114].NotPoints.Add(new Point(1, -2));
            Characters[114].NotPoints.Add(new Point(1, -1));
            Characters[114].NotPoints.Add(new Point(1, 0));
            Characters[114].Points.Add(new Point(2, -5));
            Characters[114].NotPoints.Add(new Point(2, -4));
            Characters[114].NotPoints.Add(new Point(2, -3));
            Characters[114].NotPoints.Add(new Point(2, -2));
            Characters[114].NotPoints.Add(new Point(2, -1));
            Characters[114].NotPoints.Add(new Point(2, 0));

            Characters[115] = new Character();
            Characters[115].Increment = 5;
            Characters[115].NotPoints.Add(new Point(0, -5));
            Characters[115].Points.Add(new Point(0, -4));
            Characters[115].NotPoints.Add(new Point(0, -3));
            Characters[115].NotPoints.Add(new Point(0, -2));
            Characters[115].NotPoints.Add(new Point(0, -1));
            Characters[115].Points.Add(new Point(0, 0));
            Characters[115].Points.Add(new Point(1, -5));
            Characters[115].NotPoints.Add(new Point(1, -4));
            Characters[115].Points.Add(new Point(1, -3));
            Characters[115].NotPoints.Add(new Point(1, -2));
            Characters[115].NotPoints.Add(new Point(1, -1));
            Characters[115].Points.Add(new Point(1, 0));
            Characters[115].Points.Add(new Point(2, -5));
            Characters[115].NotPoints.Add(new Point(2, -4));
            Characters[115].Points.Add(new Point(2, -3));
            Characters[115].NotPoints.Add(new Point(2, -2));
            Characters[115].NotPoints.Add(new Point(2, -1));
            Characters[115].Points.Add(new Point(2, 0));
            Characters[115].Points.Add(new Point(3, -5));
            Characters[115].NotPoints.Add(new Point(3, -4));
            Characters[115].Points.Add(new Point(3, -3));
            Characters[115].NotPoints.Add(new Point(3, -2));
            Characters[115].NotPoints.Add(new Point(3, -1));
            Characters[115].Points.Add(new Point(3, 0));
            Characters[115].Points.Add(new Point(4, -5));
            Characters[115].NotPoints.Add(new Point(4, -4));
            Characters[115].NotPoints.Add(new Point(4, -3));
            Characters[115].Points.Add(new Point(4, -2));
            Characters[115].Points.Add(new Point(4, -1));
            Characters[115].NotPoints.Add(new Point(4, 0));

            Characters[116] = new Character();
            Characters[116].Increment = 3;
            Characters[116].Points.Add(new Point(0, -8));
            Characters[116].Points.Add(new Point(0, -7));
            Characters[116].Points.Add(new Point(0, -6));
            Characters[116].Points.Add(new Point(0, -5));
            Characters[116].Points.Add(new Point(0, -4));
            Characters[116].Points.Add(new Point(0, -3));
            Characters[116].Points.Add(new Point(0, -2));
            Characters[116].Points.Add(new Point(0, -1));
            Characters[116].NotPoints.Add(new Point(0, 0));
            Characters[116].NotPoints.Add(new Point(1, -8));
            Characters[116].NotPoints.Add(new Point(1, -7));
            Characters[116].NotPoints.Add(new Point(1, -6));
            Characters[116].Points.Add(new Point(1, -5));
            Characters[116].NotPoints.Add(new Point(1, -4));
            Characters[116].NotPoints.Add(new Point(1, -3));
            Characters[116].NotPoints.Add(new Point(1, -2));
            Characters[116].NotPoints.Add(new Point(1, -1));
            Characters[116].Points.Add(new Point(1, 0));
            Characters[116].NotPoints.Add(new Point(2, -8));
            Characters[116].NotPoints.Add(new Point(2, -7));
            Characters[116].NotPoints.Add(new Point(2, -6));
            Characters[116].Points.Add(new Point(2, -5));
            Characters[116].NotPoints.Add(new Point(2, -4));
            Characters[116].NotPoints.Add(new Point(2, -3));
            Characters[116].NotPoints.Add(new Point(2, -2));
            Characters[116].NotPoints.Add(new Point(2, -1));
            Characters[116].Points.Add(new Point(2, 0));

            Characters[117] = new Character();
            Characters[117].Increment = 5;
            Characters[117].Points.Add(new Point(0, -5));
            Characters[117].Points.Add(new Point(0, -4));
            Characters[117].Points.Add(new Point(0, -3));
            Characters[117].Points.Add(new Point(0, -2));
            Characters[117].Points.Add(new Point(0, -1));
            Characters[117].NotPoints.Add(new Point(0, 0));
            Characters[117].NotPoints.Add(new Point(1, -5));
            Characters[117].NotPoints.Add(new Point(1, -4));
            Characters[117].NotPoints.Add(new Point(1, -3));
            Characters[117].NotPoints.Add(new Point(1, -2));
            Characters[117].NotPoints.Add(new Point(1, -1));
            Characters[117].Points.Add(new Point(1, 0));
            Characters[117].NotPoints.Add(new Point(2, -5));
            Characters[117].NotPoints.Add(new Point(2, -4));
            Characters[117].NotPoints.Add(new Point(2, -3));
            Characters[117].NotPoints.Add(new Point(2, -2));
            Characters[117].NotPoints.Add(new Point(2, -1));
            Characters[117].Points.Add(new Point(2, 0));
            Characters[117].NotPoints.Add(new Point(3, -5));
            Characters[117].NotPoints.Add(new Point(3, -4));
            Characters[117].NotPoints.Add(new Point(3, -3));
            Characters[117].NotPoints.Add(new Point(3, -2));
            Characters[117].NotPoints.Add(new Point(3, -1));
            Characters[117].Points.Add(new Point(3, 0));
            Characters[117].Points.Add(new Point(4, -5));
            Characters[117].Points.Add(new Point(4, -4));
            Characters[117].Points.Add(new Point(4, -3));
            Characters[117].Points.Add(new Point(4, -2));
            Characters[117].Points.Add(new Point(4, -1));
            Characters[117].NotPoints.Add(new Point(4, 0));

            Characters[118] = new Character();
            Characters[118].Increment = 5;
            Characters[118].Points.Add(new Point(0, -5));
            Characters[118].Points.Add(new Point(0, -4));
            Characters[118].NotPoints.Add(new Point(0, -3));
            Characters[118].NotPoints.Add(new Point(0, -2));
            Characters[118].NotPoints.Add(new Point(0, -1));
            Characters[118].NotPoints.Add(new Point(0, 0));
            Characters[118].NotPoints.Add(new Point(1, -5));
            Characters[118].NotPoints.Add(new Point(1, -4));
            Characters[118].Points.Add(new Point(1, -3));
            Characters[118].Points.Add(new Point(1, -2));
            Characters[118].NotPoints.Add(new Point(1, -1));
            Characters[118].NotPoints.Add(new Point(1, 0));
            Characters[118].NotPoints.Add(new Point(2, -5));
            Characters[118].NotPoints.Add(new Point(2, -4));
            Characters[118].NotPoints.Add(new Point(2, -3));
            Characters[118].NotPoints.Add(new Point(2, -2));
            Characters[118].Points.Add(new Point(2, -1));
            Characters[118].Points.Add(new Point(2, 0));
            Characters[118].NotPoints.Add(new Point(3, -5));
            Characters[118].NotPoints.Add(new Point(3, -4));
            Characters[118].Points.Add(new Point(3, -3));
            Characters[118].Points.Add(new Point(3, -2));
            Characters[118].NotPoints.Add(new Point(3, -1));
            Characters[118].NotPoints.Add(new Point(3, 0));
            Characters[118].Points.Add(new Point(4, -5));
            Characters[118].Points.Add(new Point(4, -4));
            Characters[118].NotPoints.Add(new Point(4, -3));
            Characters[118].NotPoints.Add(new Point(4, -2));
            Characters[118].NotPoints.Add(new Point(4, -1));
            Characters[118].NotPoints.Add(new Point(4, 0));

            Characters[119] = new Character();
            Characters[119].Increment = 5;
            Characters[119].Points.Add(new Point(0, -5));
            Characters[119].Points.Add(new Point(0, -4));
            Characters[119].Points.Add(new Point(0, -3));
            Characters[119].Points.Add(new Point(0, -2));
            Characters[119].Points.Add(new Point(0, -1));
            Characters[119].NotPoints.Add(new Point(0, 0));
            Characters[119].NotPoints.Add(new Point(1, -5));
            Characters[119].NotPoints.Add(new Point(1, -4));
            Characters[119].NotPoints.Add(new Point(1, -3));
            Characters[119].NotPoints.Add(new Point(1, -2));
            Characters[119].NotPoints.Add(new Point(1, -1));
            Characters[119].Points.Add(new Point(1, 0));
            Characters[119].NotPoints.Add(new Point(2, -5));
            Characters[119].NotPoints.Add(new Point(2, -4));
            Characters[119].Points.Add(new Point(2, -3));
            Characters[119].Points.Add(new Point(2, -2));
            Characters[119].Points.Add(new Point(2, -1));
            Characters[119].Points.Add(new Point(2, 0));
            Characters[119].NotPoints.Add(new Point(3, -5));
            Characters[119].NotPoints.Add(new Point(3, -4));
            Characters[119].NotPoints.Add(new Point(3, -3));
            Characters[119].NotPoints.Add(new Point(3, -2));
            Characters[119].NotPoints.Add(new Point(3, -1));
            Characters[119].Points.Add(new Point(3, 0));
            Characters[119].Points.Add(new Point(4, -5));
            Characters[119].Points.Add(new Point(4, -4));
            Characters[119].Points.Add(new Point(4, -3));
            Characters[119].Points.Add(new Point(4, -2));
            Characters[119].Points.Add(new Point(4, -1));
            Characters[119].NotPoints.Add(new Point(4, 0));

            Characters[120] = new Character();
            Characters[120].Increment = 5;
            Characters[120].Points.Add(new Point(0, -5));
            Characters[120].NotPoints.Add(new Point(0, -4));
            Characters[120].NotPoints.Add(new Point(0, -3));
            Characters[120].NotPoints.Add(new Point(0, -2));
            Characters[120].NotPoints.Add(new Point(0, -1));
            Characters[120].Points.Add(new Point(0, 0));
            Characters[120].NotPoints.Add(new Point(1, -5));
            Characters[120].Points.Add(new Point(1, -4));
            Characters[120].NotPoints.Add(new Point(1, -3));
            Characters[120].Points.Add(new Point(1, -2));
            Characters[120].Points.Add(new Point(1, -1));
            Characters[120].NotPoints.Add(new Point(1, 0));
            Characters[120].NotPoints.Add(new Point(2, -5));
            Characters[120].NotPoints.Add(new Point(2, -4));
            Characters[120].Points.Add(new Point(2, -3));
            Characters[120].NotPoints.Add(new Point(2, -2));
            Characters[120].NotPoints.Add(new Point(2, -1));
            Characters[120].NotPoints.Add(new Point(2, 0));
            Characters[120].NotPoints.Add(new Point(3, -5));
            Characters[120].Points.Add(new Point(3, -4));
            Characters[120].NotPoints.Add(new Point(3, -3));
            Characters[120].Points.Add(new Point(3, -2));
            Characters[120].Points.Add(new Point(3, -1));
            Characters[120].NotPoints.Add(new Point(3, 0));
            Characters[120].Points.Add(new Point(4, -5));
            Characters[120].NotPoints.Add(new Point(4, -4));
            Characters[120].NotPoints.Add(new Point(4, -3));
            Characters[120].NotPoints.Add(new Point(4, -2));
            Characters[120].NotPoints.Add(new Point(4, -1));
            Characters[120].Points.Add(new Point(4, 0));

            Characters[121] = new Character();
            Characters[121].Increment = 5;
            Characters[121].Points.Add(new Point(0, -5));
            Characters[121].Points.Add(new Point(0, -4));
            Characters[121].Points.Add(new Point(0, -3));
            Characters[121].Points.Add(new Point(0, -2));
            Characters[121].NotPoints.Add(new Point(0, -1));
            Characters[121].NotPoints.Add(new Point(0, 0));
            Characters[121].NotPoints.Add(new Point(1, -5));
            Characters[121].NotPoints.Add(new Point(1, -4));
            Characters[121].NotPoints.Add(new Point(1, -3));
            Characters[121].NotPoints.Add(new Point(1, -2));
            Characters[121].Points.Add(new Point(1, -1));
            Characters[121].NotPoints.Add(new Point(1, 0));
            Characters[121].NotPoints.Add(new Point(2, -5));
            Characters[121].NotPoints.Add(new Point(2, -4));
            Characters[121].NotPoints.Add(new Point(2, -3));
            Characters[121].NotPoints.Add(new Point(2, -2));
            Characters[121].Points.Add(new Point(2, -1));
            Characters[121].NotPoints.Add(new Point(2, 0));
            Characters[121].NotPoints.Add(new Point(3, -5));
            Characters[121].NotPoints.Add(new Point(3, -4));
            Characters[121].NotPoints.Add(new Point(3, -3));
            Characters[121].NotPoints.Add(new Point(3, -2));
            Characters[121].Points.Add(new Point(3, -1));
            Characters[121].NotPoints.Add(new Point(3, 0));
            Characters[121].Points.Add(new Point(4, -5));
            Characters[121].Points.Add(new Point(4, -4));
            Characters[121].Points.Add(new Point(4, -3));
            Characters[121].Points.Add(new Point(4, -2));
            Characters[121].Points.Add(new Point(4, -1));
            Characters[121].Points.Add(new Point(4, 0));

            Characters[122] = new Character();
            Characters[122].Increment = 5;
            Characters[122].Points.Add(new Point(0, -5));
            Characters[122].NotPoints.Add(new Point(0, -4));
            Characters[122].NotPoints.Add(new Point(0, -3));
            Characters[122].NotPoints.Add(new Point(0, -2));
            Characters[122].Points.Add(new Point(0, -1));
            Characters[122].Points.Add(new Point(0, 0));
            Characters[122].Points.Add(new Point(1, -5));
            Characters[122].NotPoints.Add(new Point(1, -4));
            Characters[122].NotPoints.Add(new Point(1, -3));
            Characters[122].Points.Add(new Point(1, -2));
            Characters[122].NotPoints.Add(new Point(1, -1));
            Characters[122].Points.Add(new Point(1, 0));
            Characters[122].Points.Add(new Point(2, -5));
            Characters[122].NotPoints.Add(new Point(2, -4));
            Characters[122].Points.Add(new Point(2, -3));
            Characters[122].NotPoints.Add(new Point(2, -2));
            Characters[122].NotPoints.Add(new Point(2, -1));
            Characters[122].Points.Add(new Point(2, 0));
            Characters[122].Points.Add(new Point(3, -5));
            Characters[122].Points.Add(new Point(3, -4));
            Characters[122].NotPoints.Add(new Point(3, -3));
            Characters[122].NotPoints.Add(new Point(3, -2));
            Characters[122].NotPoints.Add(new Point(3, -1));
            Characters[122].Points.Add(new Point(3, 0));
            Characters[122].Points.Add(new Point(4, -5));
            Characters[122].NotPoints.Add(new Point(4, -4));
            Characters[122].NotPoints.Add(new Point(4, -3));
            Characters[122].NotPoints.Add(new Point(4, -2));
            Characters[122].NotPoints.Add(new Point(4, -1));
            Characters[122].Points.Add(new Point(4, 0));
        }
    }
}
